<?php

namespace App\Http\Controllers;

use App\Models\Accreditation;
use Illuminate\Http\Request;
use Illuminate\Support\Str;

class AccreditationController extends Controller
{
   public function Accreditation()
    {
        $data = Accreditation::all();

      
        return view('admin.accreditation-standard', ['data' => $data]);
    }


         public function PageForm(Request $request)
       {
          
    try {
        $validatedData = $request->validate([
            'image' => 'nullable|image|max:2048', 
            
        ]);

        $image = null;

       
        if ($request->hasFile("image")) {
            $image = rand() . "." . $request->file("image")->getClientOriginalExtension();
            $request->file("image")->move(public_path() . "/images", $image);
        }
        
        $image_one = null;

            $Accreditation = new Accreditation;
            $Accreditation->accreditation_title = $request->accreditation_title;
            $Accreditation->pg_meta_keyword = $request->pg_meta_keyword;
            $AccreditationSlug = Str::slug($request->accreditation_title);
            $Accreditation->pg_url = $AccreditationSlug;
            $Accreditation->pg_status = "active";
            $Accreditation->pg_meta_desc = $request->pg_meta_desc;
            $Accreditation->pg_meta_title = $request->pg_meta_title;
            $Accreditation->sort_description = $request->sort_description;
            $Accreditation->description = $request->description;
       
            $Accreditation->image = $image;
            

            $Accreditation->save();
    
          return redirect()->route('admin.manage-accreditation')->with('success', 'Product updated successfully.');
            } catch (\Exception $e) {
            
                return back()->with('error', 'An error occurred: ' . $e->getMessage());
            }
}

    public function index()
    {
        $Accreditation = Accreditation::orderBy('id', 'asc')->paginate(10);

    return view('admin.manage-accreditation', ['Accreditation' => $Accreditation]);  
    }


    public function show(Accreditation $Accreditation): View
    {
        return view('admin.accreditation-standard-edit', compact('Accreditation'));
    }

    
    public function edit($id)
    {
        $Accreditation = Accreditation::findOrFail($id);
        return view('admin.accreditation-standard-edit', compact('Accreditation'));
    }

    public function destroy(Accreditation $Accreditation)
   {
    $Accreditation->delete();

    return redirect()->back()->with('success', 'Page deleted successfully.');
  }

  public function updateStatus(Request $request)
{
    $Accreditation = Accreditation::findOrFail($request->id);
    $Accreditation->pg_status = $request->pg_status;
    $Accreditation->save();

    return response()->json(['message' => 'User status updated successfully.']);
}


public function update(Request $request, $Accreditation_id)
{
    try {
      
        $validatedData = $request->validate([
           
        ]);

      
        $Accreditation = Accreditation::findOrFail($Accreditation_id);
        $Accreditation->accreditation_title = $request->input('accreditation_title');
        $AccreditationSlug = Str::slug($request->input('accreditation_title'));
        $Accreditation->pg_url = $AccreditationSlug; 
        $Accreditation->sort_description = $request->input('sort_description');
        $Accreditation->description = $request->input('description');
        $Accreditation->pg_meta_title = $request->input('pg_meta_title');
        $Accreditation->pg_meta_keyword = $request->input('pg_meta_keyword');
        $Accreditation->pg_meta_desc = $request->input('pg_meta_desc');
        $Accreditation->pg_status = "active";
   
        if ($request->hasFile('image')) {
            $Accreditation_image = rand() . "." . $request->file("image")->getClientOriginalExtension();
            $request->file("image")->move(public_path() . "/images", $Accreditation_image);
            $Accreditation->image = $Accreditation_image;
        }

       
        $Accreditation->save();

       return redirect()->route('admin.manage_accreditation')->with('success', 'Product updated successfully.');
    } catch (\Exception $e) {
        return redirect()->back()->with('error', 'An error occurred while updating the product: ' . $e->getMessage());
    }
}

}
