<?php

namespace App\Http\Controllers;

use Illuminate\Http\Request;
use App\Models\location;
use App\Models\Countries;
use App\Models\State;
use App\Models\City;
use Illuminate\Support\Str;

use File;

class LocationController extends Controller
{
    public function location()
    {
     
        $data = location::all();

        return view('admin.location', compact('data'));
    }

  public function LocationForm(Request $request)
{
    $validatedData = $request->validate([
        'location_image' => 'sometimes|image|max:2048', 
      
    ]);

    $loaction_image = null;
    if ($request->hasFile('location_image')) {
        $loaction_image = rand() . "." . $request->file("location_image")->getClientOriginalExtension();
        $request->file("location_image")->move(public_path() . "/images", $loaction_image);
    }

   
    $coumtry = null;
    if ($request->has('country')) {
        $country = Countries::select('name')->where('id', '=', $request->country)->first();
        if ($country) {
            $coumtry = $country->name;
        }
    }

   
    $state_name = null;
    if ($request->has('state')) {
        $state = State::select('name')->where('id', '=', $request->state)->first();
        if ($state) {
            $state_name = $state->name;
        }
    }

   
    $city_name = null;
    if ($request->has('city')) {
        $city = City::select('name')->where('id', '=', $request->city)->first();
        if ($city) {
            $city_name = $city->name;
        }
    }

    $location = new location;
    $location->loaction_name = $request->loaction_name;
    $locationSlug = Str::slug($request->loaction_name);
    $location->pg_url = $locationSlug;
    $location->parent_loaction = $request->parent_loaction;
    $location->description = $request->description;
    $location->short_description = $request->short_description;
    $location->meta_title = $request->meta_title;
    $location->meta_keywords = $request->meta_keywords; 
    $location->meta_description = $request->meta_description; 
    $location->pg_status = "active"; 
    $location->country = $coumtry; 
    $countrySlug = $coumtry ? Str::slug($coumtry) : null;
    $location->country_url = $countrySlug;
    $location->state = $state_name; 
    $stateSlug = $state_name ? Str::slug($state_name) : null;
    $location->state_url = $stateSlug;
    $location->city = $city_name; 
    $citySlug = $city_name ? Str::slug($city_name) : null;
    $location->city_url = $citySlug;
    $location->loaction_name = $request->loaction_name;
    $location->location_image = $loaction_image; 
    $location->save();

    $data = location::all(); 

    return redirect()->route('admin.manage_location')->with('success', 'Product updated successfully.');
}



    public function index()
    {
        $location = location::orderBy('loaction_id', 'desc')->paginate(5);
        return view('admin.manage-loaction', ['location' => $location]); 
    }

    public function show(location $location)
    {
        return view('admin.location-banners-edit', compact('location'));
    }

    public function edit($location_id)
{
    
    $location = location::findOrFail($location_id);
   
    return view('admin.location-edit', compact('location'));
}


  
  
 public function update(Request $request, $location_id)
{
    try {
        $validatedData = $request->validate([
           
        ]);

        $location = Location::findOrFail($location_id);

      
        $location->loaction_name = $request->input('loaction_name');
        $locationSlug = Str::slug($request->input('loaction_name'));
        $location->pg_url = $locationSlug;
        $location->parent_loaction = $request->input('parent_loaction');
        $location->description = $request->input('description');
        $location->short_description = $request->input('short_description');
        $location->meta_title = $request->input('meta_title');
        $location->meta_keywords = $request->input('meta_keywords');
        $location->meta_description = $request->input('meta_description');
        $location->pg_status = "active";

      
        $coumtry = Countries::find($request->country);
        $state_name = State::find($request->state);
        $city_name = City::find($request->city);

        if ($coumtry) {
            $location->country = $coumtry->name;
            $location->country_url = Str::slug($coumtry->name);
        }

        if ($state_name) {
            $location->state = $state_name->name;
            $location->state_url = Str::slug($state_name->name); 
        }

        if ($city_name) {
            $location->city = $city_name->name;
            $location->city_url = Str::slug($city_name->name); 
        }

        if ($request->hasFile('location_image')) {
            $location_image = rand() . "." . $request->file("location_image")->getClientOriginalExtension();
            $request->file("location_image")->move(public_path() . "/images", $location_image);
            $location->location_image = $location_image;
        }

        $location->save();

        return redirect()->route('admin.manage_location')->with('success', 'Product updated successfully.');
    } catch (\Exception $e) {
        
        return redirect()->back()->with('error', 'An error occurred while updating.');
    }
}






    
    public function destroy(location $location)
    {
        $location->delete();

        return redirect()->back()->with('success', 'location deleted successfully.');
    }

    public function updateStatus(Request $request)
{
    $location = location::findOrFail($request->loaction_id);
    $location->pg_status = $request->pg_status;
    $location->save();

    return response()->json(['message' => 'location status updated successfully.']);
}
}
