<?php

namespace App\Http\Controllers;

use Illuminate\Http\Request;
use App\Models\locationProduct;
use Illuminate\Support\Str;

class LocationProductController extends Controller
{
    public function ProductLocation()
    {
       
        $data = locationProduct::all();
    
        
        return view('admin.location-product');
    }
    
    public function LocationProductForm(Request $request)
{
    try {
        $validatedData = $request->validate([
            'product_image' => 'nullable|image|max:2048', 
            'image_one' => 'nullable|image|max:2048', 
            'image_two' => 'nullable|image|max:2048', 
        ]);

        $image = null;
        $image_one = null;
        $image_two = null;

        if ($request->hasFile("product_image")) {
            $image = rand() . "." . $request->file("product_image")->getClientOriginalExtension();
            $request->file("product_image")->move(public_path() . "/images", $image);
        }
        if ($request->hasFile("image_one")) {
            $image_one = rand() . "." . $request->file("image_one")->getClientOriginalExtension();
            $request->file("image_one")->move(public_path() . "/images", $image_one);
        }
        if ($request->hasFile("image_two")) {
            $image_two = rand() . "." . $request->file("image_two")->getClientOriginalExtension();
            $request->file("image_two")->move(public_path() . "/images", $image_two);
        }

        $locationproduct = new locationProduct;
        $locationproduct->p_id = $request->p_id;
        $locationproduct->product_name = $request->product_name;
        $locationproductSlug = Str::slug($request->product_name);
        $locationproduct->loction_product_slug = $locationproductSlug;
        $locationproduct->short_description = $request->short_description;
        $locationproduct->description = $request->description;
         $locationproduct->specification = $request->specification;
        $locationproduct->meta_title = $request->meta_title;
        $locationproduct->meta_keywords = $request->meta_keywords;
        $locationproduct->meta_description = $request->meta_description;
        $locationproduct->status = "active";
        $locationproduct->product_image = $image; 
        $locationproduct->image_one = $image_one;
        $locationproduct->image_two = $image_two;
        $locationproduct->save();

        return redirect()->route('admin.manage_product_location')->with('success', 'Product updated successfully.');
    } catch (\Exception $e) {
        return back()->with('error', 'An error occurred: ' . $e->getMessage());
    }
}

    
        public function index()
        {
            $locationproduct = locationProduct::orderBy('product_id', 'asc')->paginate(10);
        return view('admin.manage-product-location', ['locationproduct' => $locationproduct]);  
        }
    
     
        public function create()
        {
            //
        }
    
       
        public function store(Request $request)
    {
       //
    }
    
       
        public function show(locationProduct $locationproduct): View
        {
            return view('admin.location-product-edit', compact('locationProduct'));
        }
    
       
        public function edit($product_id)
        {
            $locationproduct = locationProduct::findOrFail($product_id);
            return view('admin.location-product-edit', compact('locationproduct'));
        }
    
    
        public function update(Request $request, $locationproduct_id)
    {
        
        $validatedData = $request->validate([
           
        ]);
       
        $locationproduct = locationProduct::find($locationproduct_id);
        $locationproduct->product_name = $request->input('product_name');
        $locationproduct->p_id = $request->input('p_id');
        
        $productSlug = Str::slug($request->input('product_name'));
        $locationproduct->loction_product_slug = $productSlug; 
        
        $locationproduct->short_description = $request->input('short_description');
        $locationproduct->description = $request->input('description');
        $locationproduct->specification = $request->input('specification');
       
        $locationproduct->meta_keywords = $request->input('meta_keywords');
        $locationproduct->meta_title = $request->input('meta_title');
        $locationproduct->meta_description = $request->input('meta_description');
        $locationproduct->status = "active";
    
      if ($request->hasFile('product_image')) {
           $locationproduct_image = rand() . "." . $request->file("product_image")->getClientOriginalExtension();
            $request->file("product_image")->move(public_path() . "/images", $locationproduct_image);
            $locationproduct->product_image =$locationproduct_image;
        }
        
        if ($request->hasFile('image_one')) {
           $locationimage_one = rand() . "." . $request->file("image_one")->getClientOriginalExtension();
            $request->file("image_one")->move(public_path() . "/images", $locationimage_one);
            $locationproduct->image_one =$locationimage_one;
        }
    
    
    if ($request->hasFile('image_two')) {
           $locationimage_two = rand() . "." . $request->file("image_two")->getClientOriginalExtension();
            $request->file("image_two")->move(public_path() . "/images", $locationimage_two);
            $locationproduct->image_two =$locationimage_two;
        }
    
    
        $locationproduct->save();
    
         return redirect()->route('admin.manage_product_location')->with('success', 'Product updated successfully.');
    }
    
        
        public function destroy(locationProduct $locationproduct)
    {
        $locationproduct->delete();
    
        return redirect()->back()->with('success', 'Page deleted successfully.');
    }
    
    public function updateStatus(Request $request)
    {
        $locationproduct = locationProduct::findOrFail($request->product_id);
        $locationproduct->status = $request->status;
        $locationproduct->save();
    
        return response()->json(['message' => 'User status updated successfully.']);
    }

    public function count(Request $request){
        $subdRecordCount = locationProduct::where('status', 'Active')->count();
        $bannerRecordCount = tbl_banner::where('pg_status', 'Active')->count();
        $categoryRecordCount = tbl_category::where('pg_status', 'Active')->count();
        $productRecordCount = tbl_product::where('pg_status', 'Active')->count();
        $galleryRecordCount = tbl_gallery::where('pg_status', 'Active')->count();
        $testiRecordCount = testimonial::where('pg_status', 'Active')->count();
        $loactionRecordCount = location::where('pg_status', 'Active')->count();
        $pageRecordCount = tbl_page::where('pg_status', 'Active')->count();

        return view('admin.Backend.Layout.dashboard', [
            'subdRecordCount' => $subdRecordCount,
            'bannerRecordCount' => $bannerRecordCount,
            'categoryRecordCount' => $categoryRecordCount,
            'productRecordCount' => $productRecordCount,
            'galleryRecordCount' => $galleryRecordCount,
            'testiRecordCount' => $testiRecordCount,
            'loactionRecordCount' => $loactionRecordCount,
            'pageRecordCount' => $pageRecordCount,
        ]);
    }
}
