<?php

namespace App\Http\Controllers;

use App\Models\Sector;
use Illuminate\Http\Request;
use Illuminate\Support\Str;

class SectorController extends Controller
{
   public function Sector()
    {
        $data = Sector::all();

      
        return view('admin.sector', ['data' => $data]);
    }


         public function PageForm(Request $request)
       {
          
    try {
        $validatedData = $request->validate([
            'image' => 'nullable|image|max:2048', 
            
        ]);

        $image = null;

       
        if ($request->hasFile("image")) {
            $image = rand() . "." . $request->file("image")->getClientOriginalExtension();
            $request->file("image")->move(public_path() . "/images", $image);
        }
        
        $image_one = null;

            $Sector = new Sector;
            $Sector->sector_title = $request->sector_title;
            $Sector->pg_meta_keyword = $request->pg_meta_keyword;
            $sectorSlug = Str::slug($request->sector_title);
            $Sector->pg_url = $sectorSlug;
            $Sector->pg_status = "active";
            $Sector->pg_meta_desc = $request->pg_meta_desc;
            $Sector->pg_meta_title = $request->pg_meta_title;
            $Sector->sort_description = $request->sort_description;
            $Sector->description = $request->description;
       
            $Sector->image = $image;
            


            $Sector->save();
    
          return redirect()->route('admin.manage_sector')->with('success', 'Product updated successfully.');
            } catch (\Exception $e) {
            
                return back()->with('error', 'An error occurred: ' . $e->getMessage());
            }
}

    public function index()
    {
        $Sector = Sector::orderBy('id', 'asc')->paginate(10);

    return view('admin.manage-sector', ['Sector' => $Sector]);  
    }


    public function show(Sector $Sector): View
    {
        return view('admin.sector-edit', compact('Sector'));
    }

    
    public function edit($id)
    {
        $Sector = Sector::findOrFail($id);
        return view('admin.sector-edit', compact('Sector'));
    }

    public function destroy(Sector $Sector)
   {
    $Sector->delete();

    return redirect()->back()->with('success', 'Page deleted successfully.');
  }

  public function updateStatus(Request $request)
{
    $Sector = Sector::findOrFail($request->id);
    $Sector->pg_status = $request->pg_status;
    $Sector->save();

    return response()->json(['message' => 'User status updated successfully.']);
}


public function update(Request $request, $sector_id)
{
    try {
      
        $validatedData = $request->validate([
           
        ]);

      
        $sector = Sector::findOrFail($sector_id);
        $sector->sector_title = $request->input('sector_title');
        $sectorSlug = Str::slug($request->input('sector_title'));
        $sector->pg_url = $sectorSlug; 
        $sector->sort_description = $request->input('sort_description');
        $sector->description = $request->input('description');
        $sector->pg_meta_title = $request->input('pg_meta_title');
        $sector->pg_meta_keyword = $request->input('pg_meta_keyword');
        $sector->pg_meta_desc = $request->input('pg_meta_desc');
        $sector->pg_status = "active";
   
        if ($request->hasFile('image')) {
            $sector_image = rand() . "." . $request->file("image")->getClientOriginalExtension();
            $request->file("image")->move(public_path() . "/images", $sector_image);
            $sector->image = $sector_image;
        }

       
        $sector->save();

       return redirect()->route('admin.manage_sector')->with('success', 'Product updated successfully.');
    } catch (\Exception $e) {
        return redirect()->back()->with('error', 'An error occurred while updating the product: ' . $e->getMessage());
    }
}

}
