<?php

namespace App\Http\Controllers;

use Illuminate\Support\Str;

use App\Models\subdomain;
use App\Models\tbl_banner;
use App\Models\tbl_category;
use App\Models\tbl_product;
use App\Models\tbl_gallery;
use App\Models\testimonial;
use App\Models\location;
use App\Models\tbl_page;


use Illuminate\Http\Request;

class SubdomainController extends Controller
{
    public function subdomain()
    {
        // Retrieve data from the database
        $data = subdomain::all();
    
        // Process the data or perform other actions
        // ...
    
        // Pass the processed data to a view
        return view('admin.subdomain');
    }
    
    public function SubdomainForm(Request $request)
    {
        $validatedData = $request->validate([
            'subdomain_image' => 'required|image|max:2048',
            // Add other validation rules for the form fields
        ]);
       $subdomain_image = rand() . "." . $request->file("subdomain_image")->getClientOriginalExtension();
        $request->file("subdomain_image")->move(public_path() . "/images",$subdomain_image);
    
        $subdomain = new subdomain;
        $subdomain->subdomain_name = $request->subdomain_name;
        $subdomainSlug = Str::slug($request->subdomain_name);
        $subdomain->subdomain_slug = $subdomainSlug;
        $subdomain->meta_title = $request->meta_title;
        $subdomain->meta_keywords = $request->meta_keywords;
        $subdomain->meta_description = $request->meta_description;
        $subdomain->description = $request->description;
        
        $subdomain->short_discription = $request->short_discription;
        $subdomain->status = "active";
        $subdomain->subdomain_image =$subdomain_image; // Store the file name in the "image" column of the subdomains table
        $subdomain->save();
    
       return redirect()->route('admin.manage_subdomain')->with('success', 'Product updated successfully.');
    }
    
        public function index()
        {
            $subdomain = subdomain::orderBy('subdomain_id', 'desc')->paginate(10);
        return view('admin.manage-subdomain', ['subdomain' => $subdomain]);  
        }
    
        /**
         * Show the form for creating a new resource.
         */
        public function create()
        {
            //
        }
    
        /**
         * Store a newly created resource in storage.
         */
        public function store(Request $request)
    {
       //
    }
    
        /**
         * Display the specified resource.
         */
        public function show(subdomain $subdomain): View
        {
            return view('admin.subdomain-edit', compact('subdomain'));
        }
    
        /**
         * Show the form for editing the specified resource.
         */
        public function edit($subdomain_id)
        {
            $subdomain = subdomain::findOrFail($subdomain_id);
            return view('admin.subdomain-edit', compact('subdomain'));
        }
    
        /**
         * Update the specified resource in storage.
         */
        public function update(Request $request, $subdomain_id)
    {
        
        $validatedData = $request->validate([
            
            'subdomain_image' => 'image|mimes:jpeg,png,jpg,gif|max:2048',
        ]);
    
        $subdomain = subdomain::find($subdomain_id);
        $subdomain->short_discription = $request->input('short_discription');
        $subdomain->description = $request->input('description');
        $subdomain->subdomain_name = $request->input('subdomain_name');
        $subdomain->subdomain_slug = Str::slug($request->input('subdomain_slug'));
        $subdomain->meta_keywords = $request->input('meta_keywords');
        $subdomain->meta_title = $request->input('meta_title');
        $subdomain->meta_description = $request->input('meta_description');
        $subdomain->status = "active";
    
      if ($request->hasFile('subdomain_image')) {
           $subdomain_image = rand() . "." . $request->file("subdomain_image")->getClientOriginalExtension();
            $request->file("subdomain_image")->move(public_path() . "/images", $subdomain_image);
            $subdomain->subdomain_image =$subdomain_image;
        }
    
        $subdomain->save();
    
        return redirect()->route('admin.manage_subdomain')->with('success', 'Product updated successfully.');
    }
    
        /**
         * Remove the specified resource from storage.
         */
        public function destroy(subdomain $subdomain)
    {
        $subdomain->delete();
    
        return redirect()->back()->with('success', 'Page deleted successfully.');
    }
    
    public function updateStatus(Request $request)
    {
        $subdomain = subdomain::findOrFail($request->subdomain_id);
        $subdomain->status = $request->status;
        $subdomain->save();
    
        return response()->json(['message' => 'User status updated successfully.']);
    }

    public function count(Request $request){
        $subdRecordCount = subdomain::where('status', 'Active')->count();
        $bannerRecordCount = tbl_banner::where('pg_status', 'Active')->count();
        $categoryRecordCount = tbl_category::where('pg_status', 'Active')->count();
        $productRecordCount = tbl_product::where('pg_status', 'Active')->count();
        $galleryRecordCount = tbl_gallery::where('pg_status', 'Active')->count();
        $testiRecordCount = testimonial::where('pg_status', 'Active')->count();
        $loactionRecordCount = location::where('pg_status', 'Active')->count();
        $pageRecordCount = tbl_page::where('pg_status', 'Active')->count();

        return view('admin.Backend.Layout.dashboard', [
            'subdRecordCount' => $subdRecordCount,
            'bannerRecordCount' => $bannerRecordCount,
            'categoryRecordCount' => $categoryRecordCount,
            'productRecordCount' => $productRecordCount,
            'galleryRecordCount' => $galleryRecordCount,
            'testiRecordCount' => $testiRecordCount,
            'loactionRecordCount' => $loactionRecordCount,
            'pageRecordCount' => $pageRecordCount,
        ]);
    }
    
}
