<?php

namespace App\Http\Controllers;
use App\Models\tbl_category;
use Illuminate\Http\Request;
error_reporting(E_ALL);
class TblCategoryController extends Controller
{
   /**
     * Display a listing of the resource.
     */
    public function tbl_category(Request $request)
    {
        $parentId = $request->id ?? 0; // Get the value of 'id' from the request, default to 0 if not present
    
        // Retrieve data from the database based on the condition
        $data = tbl_category::where('parent_id', $parentId)->get();
    
        // Pass the data to the view
        return view('admin.tbl-category', ['data' => $data]);
    }
    

public function PageForm(Request $request)
{
    
    $validatedData = $request->validate([
        'image' => 'required|image|max:2048',
        // Add other validation rules for the form fields
    ]);

    $image = $request->file('image');
    $imageName = $image->getClientOriginalName();
    $imagePath = $image->store('public/images');

    $imageName = str_replace('public/images/', '', $imagePath);

    $validatedData = $request->validate([
        'image2' => 'required|image|max:2048',
        // Add other validation rules for the form fields
    ]);

    $image2 = $request->file('image2');
    $imageName2 = $image2->getClientOriginalName();
    $imagePath2 = $image2->store('public/images');

    $imageName2 = str_replace('public/images/', '', $imagePath2);

    $tbl = new tbl_category;
    $tbl->product_category_title = $request->product_category_title;
    $tbl->category_subtitle = $request->category_subtitle;
    $tbl->pg_url = $request->pg_url;
    
    $tbl->pg_meta_title = $request->pg_meta_title;
    $tbl->pg_meta_keyword = $request->pg_meta_keyword;
    $tbl->pg_meta_desc = $request->pg_meta_desc;
    $tbl->short_description = $request->short_description;
    $tbl->pg_status = $request->pg_status;
    $tbl->image = $imageName;
    $tbl->image2 = $imageName2; // Store the file name in the "image" column of the tbl_pages table
    $tbl->parent_id = isset($request->id) ? $request->id : 0;
    $tbl->save();

    return back()->with('success', 'Your form has been submitted.');
}


    public function index()
    {
        $tbl_category = tbl_category::orderBy('product_cat_id', 'desc')->paginate(5);
    return view('admin.manage-category', ['tbl_category' => $tbl_category]);  
    }

    /**
     * Show the form for creating a new resource.
     */
    public function create()
    {
        //
    }

    /**
     * Store a newly created resource in storage.
     */
    public function store(Request $request)
{
   //
}

    /**
     * Display the specified resource.
     */
    public function show(tbl_category $tbl_category): View
    {
        return view('admin.tbl-pages-edit', compact('tbl_page'));
    }

    /**
     * Show the form for editing the specified resource.
     */
    public function edit($id)
    {
        $tbl_category = tbl_category::findOrFail($id);
        return view('admin.tbl-category-edit', compact('tbl_category'));
    }

    /**
     * Update the specified resource in storage.
     */
    public function update(Request $request, $id)
{
    // Validate the form fields
    $validatedData = $request->validate([
        'product_category_title' => 'required',
        'category_subtitle' => 'required',
        'pg_url' => 'required',
        'pg_meta_title' => 'required',
        'pg_meta_desc' => 'required',
        'pg_meta_keyword' => 'required',
        'short_description' => 'required',
        'pg_status' => 'required',
        'description' => 'required',
        'image' => 'image|mimes:jpeg,png,jpg,gif|max:2048',
        'image2' => 'image|mimes:jpeg,png,jpg,gif|max:2048',
    ]);

    // Find the record by ID
    $tbl_category = tbl_category::find($id);

    // Update the fields with the new values
    $tbl_category->product_category_title = $request->input('product_category_title');
    $tbl_category->category_subtitle = $request->input('category_subtitle');
    $tbl_category->pg_url = $request->input('pg_url');
    $tbl_category->pg_meta_title = $request->input('pg_meta_title');
    $tbl_category->pg_meta_desc = $request->input('pg_meta_desc');
    $tbl_category->pg_meta_keyword = $request->input('pg_meta_keyword');
    $tbl_category->short_description = $request->input('short_description');
    $tbl_category->description = $request->input('description');
    $tbl_category->pg_status = $request->input('pg_status');
    

    // Handle image upload for 'image' field
    if ($request->hasFile('image')) {
        $cat_image = rand() . "." . $request->file("image")->getClientOriginalExtension();
        $request->file("image")->move(public_path() . "/images", $cat_image);
        $tbl_category->image = $cat_image;
    }
    // Handle image upload for 'image2' field
    if ($request->hasFile('icon_image')) {
        $icon_image = rand() . "." . $request->file("icon_image")->getClientOriginalExtension();
        $request->file("icon_image")->move(public_path() . "/images", $icon_image);
        $tbl_category->icon_image = $icon_image;
    }

    // Save the changes
    $tbl_category->save();

    return redirect()->back()->with('success', 'Page updated successfully.');
}

    /**
     * Remove the specified resource from storage.
     */
    public function destroy(tbl_category $tbl_category)
{
    $tbl_category->delete();

    return redirect()->back()->with('success', 'Page deleted successfully.');
}

public function updateStatus(Request $request)
{
    $tbl_category = tbl_category::findOrFail($request->product_cat_id);
    $tbl_category->pg_status = $request->pg_status;
    $tbl_category->save();

    return response()->json(['message' => 'User status updated successfully.']);
}
}
