<?php

namespace App\Http\Controllers;

use App\Models\tbl_product;
use Illuminate\Http\Request;
use Illuminate\Support\Str;


class TblProductController extends Controller
{
  
    public function tbl_product()
    {
        $data = tbl_product::all();

      
        return view('admin.tbl-product', ['data' => $data]);
    }


         public function PageForm(Request $request)
       {
    try {
        $validatedData = $request->validate([
            'image' => 'nullable|image|max:2048', 
            
        ]);

        $image = null;

       
        if ($request->hasFile("image")) {
            $image = rand() . "." . $request->file("image")->getClientOriginalExtension();
            $request->file("image")->move(public_path() . "/images", $image);
        }
        
        $image_one = null;

       
//         if ($request->hasFile("image_one")) {
//             $image_one = rand() . "." . $request->file("image_one")->getClientOriginalExtension();
//             $request->file("image_one")->move(public_path() . "/images", $image_one);
//         }


// $image_three = null;

       
//         if ($request->hasFile("image_three")) {
//             $image_three = rand() . "." . $request->file("image_three")->getClientOriginalExtension();
//             $request->file("image_three")->move(public_path() . "/images", $image_three);
//         }

// $image_two = null;

       
//         if ($request->hasFile("image_two")) {
//             $image_two = rand() . "." . $request->file("image_two")->getClientOriginalExtension();
//             $request->file("image_two")->move(public_path() . "/images", $image_two);
//         }



            $tbl_product = new tbl_product;
            $tbl_product->product_title = $request->product_title;
            $tbl_product->product_cat = $request->product_cat;
            $tbl_product->pg_meta_keyword = $request->pg_meta_keyword;
            $productSlug = Str::slug($request->product_title);
            $tbl_product->product_url = $productSlug;
            $tbl_product->pg_status = "active";
            $tbl_product->pg_meta_desc = $request->pg_meta_desc;
            $tbl_product->pg_meta_title = $request->pg_meta_title;
            $tbl_product->sort_description = $request->sort_description;
            $tbl_product->description = $request->description;
       
            $tbl_product->image = $image;
            


            $tbl_product->save();
    
           return redirect()->route('admin.manage_product')->with('success', 'Product updated successfully.');
            } catch (\Exception $e) {
            
                return back()->with('error', 'An error occurred: ' . $e->getMessage());
            }
}

    public function index()
    {
        $tbl_product = tbl_product::orderBy('product_id', 'asc')->paginate(10);

    return view('admin.manage-product', ['tbl_product' => $tbl_product]);  
    }


    public function show(tbl_product $tbl_product): View
    {
        return view('admin.tbl-product-edit', compact('tbl_product'));
    }

    
    public function edit($id)
    {
        $tbl_product = tbl_product::findOrFail($id);
        return view('admin.tbl-product-edit', compact('tbl_product'));
    }

    public function destroy(tbl_product $tbl_product)
   {
    $tbl_product->delete();

    return redirect()->back()->with('success', 'Page deleted successfully.');
  }

  public function updateStatus(Request $request)
{
    $tbl_product = tbl_product::findOrFail($request->product_id);
    $tbl_product->pg_status = $request->pg_status;
    $tbl_product->save();

    return response()->json(['message' => 'User status updated successfully.']);
}


public function update(Request $request, $product_id)
{
    try {
      
        $validatedData = $request->validate([
           
        ]);

      
        $product = tbl_product::findOrFail($product_id);
        $product->product_title = $request->input('product_title');
        $product->product_cat = $request->input('product_cat');
        $productSlug = Str::slug($request->input('product_title'));
        $product->product_url = $productSlug; 
        $product->sort_description = $request->input('sort_description');
        $product->description = $request->input('description');
        $product->pg_meta_title = $request->input('pg_meta_title');
        $product->pg_meta_keyword = $request->input('pg_meta_keyword');
        $product->pg_meta_desc = $request->input('pg_meta_desc');
       
        $product->pg_status = "active";
   
        if ($request->hasFile('image')) {
            $product_image = rand() . "." . $request->file("image")->getClientOriginalExtension();
            $request->file("image")->move(public_path() . "/images", $product_image);
            $product->image = $product_image;
        }

       if ($request->hasFile('image_one')) {
            $product_image_one = rand() . "." . $request->file("image_one")->getClientOriginalExtension();
            $request->file("image_one")->move(public_path() . "/images", $product_image_one);
            $product->image_one = $product_image_one;
        }
        
        if ($request->hasFile('image_two')) {
            $product_image_two = rand() . "." . $request->file("image_two")->getClientOriginalExtension();
            $request->file("image_two")->move(public_path() . "/images", $product_image_two);
            $product->image_two = $product_image_two;
        }
        
        if ($request->hasFile('image_three')) {
            $product_image_three = rand() . "." . $request->file("image_three")->getClientOriginalExtension();
            $request->file("image_three")->move(public_path() . "/images", $product_image_three);
            $product->image_three = $product_image_three;
        }
        
        if ($request->hasFile('image_four')) {
            $product_image_four = rand() . "." . $request->file("image_four")->getClientOriginalExtension();
            $request->file("image_four")->move(public_path() . "/images", $product_image_four);
            $product->image_four = $product_image_four;
        }
        
        if ($request->hasFile('image_five')) {
            $product_image_five = rand() . "." . $request->file("image_five")->getClientOriginalExtension();
            $request->file("image_five")->move(public_path() . "/images", $product_image_five);
            $product->image_five = $product_image_five;
        }

           if ($request->hasFile('image_six')) {
            $product_image_six = rand() . "." . $request->file("image_six")->getClientOriginalExtension();
            $request->file("image_six")->move(public_path() . "/images", $product_image_six);
            $product->image_six = $product_image_six;
        }


        if ($request->hasFile('image_seven')) {
            $product_image_seven = rand() . "." . $request->file("image_seven")->getClientOriginalExtension();
            $request->file("image_seven")->move(public_path() . "/images", $product_image_seven);
            $product->image_seven = $product_image_seven;
        }
      
      
        if ($request->hasFile('image_eight')) {
            $product_image_eight = rand() . "." . $request->file("image_eight")->getClientOriginalExtension();
            $request->file("image_eight")->move(public_path() . "/images", $product_image_eight);
            $product->image_eight = $product_image_eight;
        }
      
      
        if ($request->hasFile('image_nine')) {
            $product_image_nine = rand() . "." . $request->file("image_nine")->getClientOriginalExtension();
            $request->file("image_nine")->move(public_path() . "/images", $product_image_nine);
            $product->image_nine = $product_image_nine;
        }


         if ($request->hasFile('image_ten')) {
            $product_image_ten = rand() . "." . $request->file("image_ten")->getClientOriginalExtension();
            $request->file("image_ten")->move(public_path() . "/images", $product_image_ten);
            $product->image_ten = $product_image_ten;
        }

        $product->save();

       return redirect()->route('admin.manage_product')->with('success', 'Product updated successfully.');
    } catch (\Exception $e) {
        return redirect()->back()->with('error', 'An error occurred while updating the product: ' . $e->getMessage());
    }
}

}

