<?php

namespace App\Http\Controllers;

use Illuminate\Http\Request;
use App\Models\testimonial;


class TestimonialController extends Controller
{
    public function testimonial()
    {
        $data = testimonial::all();

        return view('admin.testimonial', compact('data'));
    }

    public function TestimonialForm(Request $request)
    {
       
        $validatedData = $request->validate([
            'image' => 'required|image|max:2048',
            
        ]);
       
        $testimonial_image = rand() . "." . $request->file("image")->getClientOriginalExtension();
                $request->file("image")->move(public_path() . "/images", $testimonial_image);

        $testimonial = new testimonial;
        $testimonial->client_name = $request->client_name;
        // $testimonial->client_designation = $request->client_designation;
        $testimonial->description = $request->description;
        // $testimonial->client_company = $request->client_company;
        $testimonial->short_discription = $request->short_discription; 
        $testimonial->pg_status = "active"; 
        $testimonial->image = $testimonial_image; 
        $testimonial->save();

        

        return redirect()->route('admin.manage_testimonial')->with('success', 'Product updated successfully.');
    }

    public function index()
{
    $testimonial_show = testimonial::orderBy('testimonial_id', 'desc')->paginate(5);
    return view('admin.manage-testimonial', ['testimonial_show' => $testimonial_show]); 
}

    public function show(testimonial $testimonial)
    {
        return view('admin.testimonial-edit', compact('testimonial'));
    }

    public function edit($testimonial_id)
    {
        $testimonial = testimonial::findOrFail($testimonial_id);
        return view('admin.testimonial-edit', compact('testimonial'));
    }
    
    public function update(Request $request, $testimonial_id)
{
    $validatedData = $request->validate([
       
        'image' => 'image|mimes:jpeg,png,jpg,gif|max:2048',
    ]);

    $testimonial = testimonial::findOrFail($testimonial_id);
    $testimonial->client_name = $request->input('client_name');
    $testimonial->short_discription = $request->input('short_discription');
    $testimonial->description = $request->input('description');
    $testimonial->pg_status = "active";

    if ($request->hasFile('image')) {
        $testimonial_image = rand() . "." . $request->file("image")->getClientOriginalExtension();
        $request->file("image")->move(public_path() . "/images", $testimonial_image);
        $testimonial->image = $testimonial_image;
    }

    $testimonial->save();

    return redirect()->route('admin.manage_testimonial')->with('success', 'Product updated successfully.');
}

    public function destroy(testimonial $testimonial)
    {
        $testimonial->delete();

        return redirect()->back()->with('success', 'Page deleted successfully.');
    }

    public function updateStatus(Request $request)
{
    $testimonial = testimonial::findOrFail($request->testimonial_id);
    $testimonial->pg_status = $request->pg_status;
    $testimonial->save();

    return response()->json(['message' => 'User status updated successfully.']);
}



}
