<!DOCTYPE html>
<html lang="en">
@include('admin.Backend.Layout.common-head')
<body class="hold-transition sidebar-mini">
<div class="wrapper">
  <!-- Navbar -->
  @include('admin.Backend.Layout.header')
  <!-- /.navbar -->

  <!-- Main Sidebar Container -->
  @include('admin.Backend.Layout.sidebar')

  <!-- Content Wrapper. Contains page content -->
  <div class="content-wrapper">
    <!-- Content Header (Page header) -->
    <section class="content-header">
      <div class="container-fluid">
        <div class="row mb-2">
          <div class="col-sm-6">
            <h1>Manage Loaction</h1>
          </div>
          <div class="col-sm-6">
            <ol class="breadcrumb float-sm-right">
              <li class="breadcrumb-item"><a href="#">Home</a></li>
              <li class="breadcrumb-item active">Manage Loaction</li>
            </ol>
          </div>
        </div>
      </div><!-- /.container-fluid -->
    </section>

    <!-- Main content -->
    <section class="content">
      <div class="container-fluid">
        <div class="row">
          <!-- left column -->
          <div class="col-md-12">
            <!-- general form elements -->
            <div class="card card-primary">
              <div class="card-header">
                <h3 class="card-title">Loaction Management</h3>
              </div>
              <!-- /.card-header -->
              <!-- form start -->
              <form  method="post" action="{{ route('admin.location.update',$location->loaction_id) }}" enctype="multipart/form-data">
                @csrf
                @method('PUT')
                <div class="card-body">
                  @php
                  $countries = \App\Models\Countries::select('name', 'id')->get();
                  $states = \App\Models\State::select('name', 'id')->get();

                  @endphp
                       <div class="form-group mb-3">
    <label for="exampleInputText">Select Country</label>
    <select id="country-dd" name="country" class="form-control">
    <option value="{{$location->country}}" >
           {{$location->country}}
        </option>
        @foreach ($countries as $data)
        <option value="{{ $data->id }}" {{ $data->id == $location->id ? 'selected' : '' }}>
            {{ $data->name }}
        </option>
        @endforeach
    </select>
</div>
                       <div class="form-group mb-3">
    <label for="exampleInputText">Select State</label>
    <select id="state-dd" name="state" class="form-control">
    <option value="{{$location->state}}" >
           {{$location->state}}
        </option>
        @foreach ($states as $data)
        <option value="{{ $data->id }}" {{ $data->id == $location->id ? 'selected' : '' }}>
            {{ $data->name }}
        </option>
        @endforeach
    </select>
</div>
                       <div class="form-group">
    <label for="exampleInputText">Select City</label>
    <select id="city-dd" name="city" class="form-control">
    <option value="{{$location->city}}" >
           {{$location->city}}
        </option>
       
        <option value="{{ $data->id }}" {{ $data->id == $location->id ? 'selected' : '' }}>
            {{ $data->name }}
        </option>
        
    </select>
</div>

                       <div class="form-group">
                        <label for="exampleInputText">Location Name</label>
                        <input type="text" class="form-control" name="loaction_name" id="loaction_name" value="{{ $location->loaction_name }}" placeholder="Loaction Name">
                        @error('location_name')
                        <span class="invalid-feedback" role="alert">
                            <strong>{{ $message }}</strong>
                        </span>
                    @enderror
                    </div>
                     <div class="form-group">
                        <label for="exampleInputText">Location slug</label>
                        <input type="text" class="form-control" name="location_name" value="{{ $location->pg_url }}">
                        @error('redirection_url')
                        <span class="invalid-feedback" role="alert">
                            <strong>{{ $message }}</strong>
                        </span>
                    @enderror
                    </div>
                @php
              // Assuming you have the necessary model and connection set up
            $tbl_banner = \App\Models\tbl_page::select('pg_name')->get();
                @endphp
                <div class="form-group">
                  <label for="exampleInputText">Select Parent Location</label>
                  <select class="form-control" name="parent_location" id="parent_location">
                      <option value="">Select Parent Location</option>
                      @isset($tbl_banner)
                          @foreach ($tbl_banner as $banner)
                              <option value="{{ $banner->pg_name }}">{{ $banner->pg_name }}</option>
                          @endforeach
                      @endisset
                  </select>
                  @error('parent_location')
                  <span class="invalid-feedback" role="alert">
                      <strong>{{ $message }}</strong>
                  </span>
                  @enderror
              </div>

                  <div class="form-group">
               <label for="exampleInputFile">Loaction Image</label>
               <div class="input-group">
              <div class="custom-file">
              <input type="file" name="location_image" value="{{ $location->location_image }}" class="custom-file-input" id="exampleInputFile">
               <label class="custom-file-label" for="exampleInputFile">Choose file</label>
              </div>
               <div class="input-group-append">
             <span class="input-group-text">Upload</span>
              </div>
            </div>
            </div>
                  <div class="form-group">
                    <label for="exampleInputText">Short Description</label>
                    <textarea  class="form-control" value="{{ $location->short_description }}" name="short_description" id="short_description">{{ $location->short_description }}</textarea>
                    @error('short_description')
                    <span class="invalid-feedback" role="alert">
                        <strong>{{ $message }}</strong>
                    </span>
                @enderror
                  </div>

                  <div class="form-group">
                    <label for="exampleInputText">Description</label>
                    <textarea class="form-control" value="{{ $location->description }}" name="description" id="summernote">{{ $location->description }}</textarea>
                    @error('description')
                    <span class="invalid-feedback" role="alert">
                        <strong>{{ $message }}</strong>
                    </span>
                @enderror
                  </div>

                  <div class="form-group">
                    <label for="exampleInputText">Meta Title</label>
                    <input type="text" class="form-control" value="{{ $location->meta_title }}" name="meta_title" id="meta_title" placeholder="Meta Title">
                    @error('meta_title')
                    <span class="invalid-feedback" role="alert">
                        <strong>{{ $message }}</strong>
                    </span>
                @enderror
                  </div>
                  <div class="form-group">
                    <label for="exampleInputText">Meta Keyword</label>
                    <input type="text" class="form-control" value="{{ $location->meta_keywords }}" name="meta_keywords" id="meta_keywords" placeholder="Meta Keyword">
                    @error('meta_keyword')
                    <span class="invalid-feedback" role="alert">
                        <strong>{{ $message }}</strong>
                    </span>
                @enderror
                  </div>
                  <div class="form-group">
                    <label for="exampleInputText">Meta Description</label>
                    <textarea class="form-control" value="{{ $location->meta_description }}" name="meta_description" id="meta_description">{{ $location->meta_description }}</textarea>
                    @error('meta_keyword')
                    <span class="invalid-feedback" role="alert">
                        <strong>{{ $message }}</strong>
                    </span>
                @enderror
                  </div>

                 

                </div>
                <!-- /.card-body -->

                <div class="card-footer">
                  <button type="submit" name="save" class="btn btn-primary">Submit</button>
                </div>
              </form>
            </div>
            <!-- /.card -->

            <!-- general form elements -->
            
            <!-- /.card -->

            <!-- Input addon -->
            
            <!-- /.card -->
            <!-- Horizontal Form -->
            
            <!-- /.card -->

          </div>
          <!--/.col (left) -->
          <!-- right column -->
          
          <!--/.col (right) -->
        </div>
        <!-- /.row -->
      </div><!-- /.container-fluid -->
    </section>
    <!-- /.content -->
  </div>
  <script src="https://ajax.googleapis.com/ajax/libs/jquery/3.5.1/jquery.min.js"></script>
<script>
    $(document).ready(function () {
        $('#country-dd').on('change', function () {
            var idCountry = this.value;
            $("#state-dd").html('');
            $.ajax({
                url: "{{url('admin/api/fetch-states')}}",
                type: "POST",
                data: {
                    country_id: idCountry,
                    _token: '{{csrf_token()}}'
                },
                dataType: 'json',
                success: function (result) {
                    $('#state-dd').html('<option value="">Select State</option>');
                    $.each(result.states, function (key, value) {
                        $("#state-dd").append('<option value="' + value
                            .id + '">' + value.name + '</option>');
                    });
                    $('#city-dd').html('<option value="">Select City</option>');
                }
            });
        });
        $('#state-dd').on('change', function () {
            var idState = this.value;
            $("#city-dd").html('');
            $.ajax({
                url: "{{url('admin/api/fetch-cities')}}",
                type: "POST",
                data: {
                    state_id: idState,
                    _token: '{{csrf_token()}}'
                },
                dataType: 'json',
                success: function (res) {
                    $('#city-dd').html('<option value="">Select City</option>');
                    $.each(res.cities, function (key, value) {
                        $("#city-dd").append('<option value="' + value
                            .id + '">' + value.name + '</option>');
                    });
                }
            });
        });
    });
</script>
  <!-- /.content-wrapper -->
  @include('admin.Backend.Layout.footer')

  <!-- Control Sidebar -->
  <aside class="control-sidebar control-sidebar-dark">
    <!-- Control sidebar content goes here -->
  </aside>
  <!-- /.control-sidebar -->
</div>
<!-- ./wrapper -->

<!-- jQuery -->
@include('admin.Backend.Layout.common-end')
<!-- Page specific script -->
<script>
$(function () {
  bsCustomFileInput.init();
});
</script>
</body>
</html>
