<!doctype html>
<html class="no-js" lang="en">

<head>
    @foreach($website as $web)
    <meta charset="utf-8">
    <meta http-equiv="x-ua-compatible" content="ie=edge">
    <title>{{ $extraproductData->pg_meta_title }}</title>
    <meta name="description" content="{{ $extraproductData->pg_meta_desc }}">
    <meta name="keywords" content="{{ $extraproductData->pg_meta_keyword }}">
    <meta name="author" content="{{ $web->website_tagline }}">
    <meta name="viewport" content="width=device-width, initial-scale=1">
    <!-- CSS here -->
    <link rel="stylesheet" href="{{ asset('assets/css/frontent/bootstrap.min.css') }}">
    <link rel="stylesheet" href="{{ asset('assets/css/frontent/animate.min.css') }}">
    <link rel="stylesheet" href="{{ asset('assets/css/frontent/fontawesome.min.css') }}">
    <link rel="stylesheet" href="{{ asset('assets/css/frontent/flaticon.css') }}">
    <link rel="stylesheet" href="{{ asset('assets/css/frontent/venobox.min.css') }}">
    <link rel="stylesheet" href="{{ asset('assets/css/frontent/owl.carousel.min.css') }}">
    <link rel="stylesheet" href="{{ asset('assets/css/frontent/main.css') }}">
    <link href="{{ url('images/' . $web['website_icon']) }}" rel="icon">
    @endforeach
</head>

<body>

    <!-- header-start -->
    @include('include.header-inner')
    <!-- header-start -->

    <main>
        <!-- page title area start here-->
        <div class="page-title-area mt-80 pt-200 pb-105" data-background="{{ asset('assets/image/img/bg/bread-bg.jpg') }}">
            <div class="container">
                <div class="row">
                    <div class="col-xl-12">
                        <div class="page-title-wrapper text-center">
                            <h1 class="page-title">{{$extraproductData->product_name}}</h1>
                            <div class="breadcrumb breadcrumb-list">
                                <nav aria-label="Breadcrumbs" class="breadcrumb-trail breadcrumbs">
                                    <ul class="trail-items">
                                        <li class="trail-item trail-begin">
                                            <a href="{{ url('/') }}"><span>Home</span></a>
                                        </li>
                                        <li class="trail-item trail-end"><span>{{$extraproductData->product_name}}</span></li>
                                    </ul>
                                </nav>
                            </div>
                        </div>
                    </div>
                </div>
            </div>
        </div>
        <!-- page title area end here-->


        <!-- about area start here -->
        <section class="about-area  pt-100 pb-70">
            <div class="container">
                <div class="row">
                    <div class="col-xxl-6 col-xl-6 col-lg-6">
                        <div class="mabout__thumb pos-sticky mb-50" data-wow-delay="0.3s">
                            <img src="{{ url('images/' . $extraproductData['product_image']) }}" alt="ab-1.jpg">
                        </div>
                    </div>
                    <div class="col-xxl-6 col-xl-6 col-lg-6">
                        <div class="mabout-right pr-70 mb-45">
                            <div class="section_title_wrapper mb-35 wow fadeInUp" data-wow-delay="0.3s">
                                <p class="msection-title mb-35">
                                  {{$extraproductData->short_description}}
                                </p>
                                <div class="msubtitle">
                        <p class="mdl-content">{!! htmlspecialchars_decode($extraproductData->description) !!}</p>
                                </div>
                            </div>
                        </div>
                    </div>
                </div>
    <div class="msubtitle custom-modal-inner">
                        <p class="mdl-content">{!! htmlspecialchars_decode($extraproductData->specification) !!}</p>
                                </div>
            </div>
        </section>
        
      
        <!-- about area end here -->
         <div class="business-service-area business-sbg pt-110 pb-85">
            <div class="container">
                <div class="row align-items-center wow fadeInUp" data-wow-delay="0.3s">
                    <div class="col-xl-6 col-lg-6">
                        <div class="section_title_wrapper mb-60">
                            <p class="msection-title msection-title-white title-br">
                               What We Offer
                            </p>
                        </div>
                    </div>
                    <div class="col-xl-6 col-lg-6 ">
                        <div class="business-right-btn ml-35 mb-40">
                            <a href="" class="theme-btn home2-btn btn-yellow btn-yellow-hover text-white"><i
                                    class="fal fa-angle-double-right"></i>More Products</a>
                        </div>
                    </div>
                </div>
            </div>
            <div class="custom-container overflow-hidden">
                <div class=" mySwiper product-slider business__services">
                    <div class="swiper-wrapper">
                          @foreach($products as $data)
                        <div class="swiper-slide">
                            <div class="popular__services mb-30 wow fadeInUp" data-wow-delay="0.3s">
                                <div class="popular__services-thumb p-relative">
                                     @if(isset($data['image']))
                                    <img src="{{ url('images/' . $data['image']) }}" alt="img not found">
                                     @endif
                                    <div class="popular__services-thumb-title">
                                        <p class="h5-tx"><a href="">{{ $data->product_title }}</a></p>
                                    </div>
                                    <div class="popular__services-thumb-text text-center">
                                        <div class="popular__services-thumb-text-icon mb-30">
                                            <a href=""><i class="flaticon-robot-arm"></i></a>
                                        </div>
                                        <div class="popular__services-thumb-text-content transition-3">
                                            <p class="services__title"><a href="">{{ $data->product_title }}</a>
                                            </p>
                                            <p>{{ $data->sort_description }}</p>
                                            <div class="popular__services-thumb-text-button">
                                                <a href="">Read More</a>
                                            </div>
                                        </div>
                                    </div>
                                </div>
                            </div>
                        </div>
                        @endforeach
                        
                    </div>
                </div>
            </div>
        </div>
        <!-- busine-->
        
@include('contact-home')
    </main>

     <!-- footer-area-start -->
    @include('include.footer-inner')

    <!-- footer-area-end -->

    <!-- back to top start -->
    <div class="progress-wrap">
        <svg class="progress-circle svg-content" width="100%" height="100%" viewBox="-1 -1 102 102">
            <path d="M50,1 a49,49 0 0,1 0,98 a49,49 0 0,1 0,-98" />
        </svg>
    </div>
    <!-- back to top end -->

    <!-- Modal code -->
    <div id="custom-modal" class="custom-modal">
        <div class="overlay-for-close"></div>
        <div class="custom-modal-dialog">
            <div class="custom-modal-content">
               <span class="close-modal">X</span>
                <div class="custom-modal-body">
                    <div class="custom-modal-inner">
                           <!-- Product content in modal will appear here -->
                    </div>
                </div>
            </div>
        </div>
    </div>


    @include('include.comman-end')

</body>

</html>