<!DOCTYPE html>
<html lang="en">

@include('include.comman-head')

<body>
    <!--=====header-start=====-->
    @include('include.header-inner')

    <!--====== banner-start===== -->
    <div class="banner-section">
        <div class="banner-slider">
            @foreach($homebanner as $banner)
            <div class="banner-img">
                <img src="{{ url('images/' . $banner['banner_image']) }}" alt="" class="w-100" />
            </div>
            @endforeach
        </div>
    </div>
    <!---=========our_services=========-->
    <section class="our-services">
        <div class="container">
            <div class="header-part text-center">
                <div class="title-sec">We Offer</div>
                <div class="sub-title">We Specializes In Providing Accreditation Services For A Wide Range Of Industries And Sectors
                </div>
            </div>

            <div class="services-boxes mt-4">
                <div class="row">

                    <div class="col-md-4">
                        <div class="service-box">
                            <div class="service-icon"><i class="fa-solid fa-gears"></i> </div>
                            <div class="heading-sec"> ISO/IEC 15189 Accreditation For Pathology Laboratory</div>
                            <p class="content-sec">This accreditation ensures that pathology laboratories meet international standards for quality management and competence in medical testing procedures.</p>
                            <div> <a href="" class="service-btn"> read more <span><i
                                            class="fa-solid fa-circle-arrow-right"></i></span></a></div>
                        </div>
                    </div>
                    <div class="col-md-4">
                        <div class="service-box">
                            <div class="service-icon"><i class="fa-solid fa-award"></i></div>
                            <div class="heading-sec"> ISO/IEC 17020 Accreditation For Third Party Inspection (TPI) Body</div>
                            <p class="content-sec">This accreditation certifies that third-party inspection bodies demonstrate impartiality, competence, and consistency in their inspection activities across various industries.</p>
                            <p> <a href="" class="service-btn"> read more <span><i
                                            class="fa-solid fa-circle-arrow-right"></i></span></a></p>
                        </div>
                    </div>
                    <div class="col-md-4">
                        <div class="service-box">
                            <div class="service-icon"><i class="fa-solid fa-rocket"></i></div>
                            <div class="heading-sec">ISO/IEC 17021 Accreditation For Third Party Auditing (TPA)</div>
                            <p class="content-sec">This accreditation validates the competency and reliability of third-party auditing organizations in assessing conformity to management system standards.</p>
                            <p> <a href="" class="service-btn"> read more <span><i
                                            class="fa-solid fa-circle-arrow-right"></i></span></a></p>
                        </div>
                    </div>
                </div>
            </div>
        </div>
    </section>

    <!-- about-section -->
    <section class="about-us">
        <div class="container">
            <div class="row">
                 @foreach ($homepages as $item)
                <div class="col-md-6">
                    <div class="about-img mb-4">
                        <img src="{{ url('images/' . $item->image) }}" alt="">
                    </div>

                    <div class="row">
                        <div class="col-lg-5">

                            <!-- Share btn start -->
                            <div class="share-btn-box">
                                <span class="share-btn">
                                    <i class="fa fa-share" aria-hidden="true"></i> Share On
                                </span>
                                <div class="social-share">
                                    <ul>
                                        <li><button type="button" class=" facebook" data-sharer="facebook" data-url="">
                                                <i class="fa-brands fa-square-facebook"></i></button></li>
                                        <li><button type="button" class=" twitter" data-sharer="twitter" data-url=""><i
                                                    class="fa-brands fa-twitter"></i>
                                            </button></li>
                                        <li> <button type="button" class=" whatsapp" data-sharer="whatsapp"
                                                data-title="Checkout this awesome product offered by Company"
                                                data-url=""><i class="fa-brands fa-whatsapp"></i></button></li>
                                        <li> <button type="button" class=" linkedin" data-sharer="linkedin"
                                                data-url=""><i class="fa-brands fa-linkedin"></i>
                                            </button></li>
                                        <li> <button type="button" class=" telegram" data-sharer="telegram"
                                                data-title="Checkout this awesome product offered by Company"
                                                data-url=""><i class="fa-brands fa-telegram"></i>
                                            </button></li>
                                        <li> <button type="button" class=" email" data-sharer="email"
                                                data-title="Checkout this awesome product offered by Company"
                                                data-url=""><i class="fa-solid fa-envelope"></i>
                                            </button></li>
                                    </ul>
                                </div>
                            </div>
                            <!-- Share btn end -->


                        </div>
                    </div>
                </div>
                <div class="col-md-6">
                    <div class="header-part">
                        @if ($homepages->isNotEmpty())
                        <div class="title-sec">
                           {{ $homepages->first()->short_description }}
                        </div>
                          @else
                      @endif
                    </div>
                     @if ($homepages->isNotEmpty())
                        <p>{!! htmlspecialchars_decode($homepages->first()->description) !!}</p>
                             @else
                                @endif</p>
                    <a href="#" class="btn-sec">about more</a>
                    
                </div>
                @endforeach
            </div>
        </div>
    </section>

    <!-- ____product-section_____ -->

    <section class="product-sec">
        <div class="container">

            <div class="header-part text-center">
                <div class="title-sec">UKJAS Accreditation Pvt. Ltd.</div>
            </div>
            <div class="product-slider">
                 @foreach($products as $data)
                <!---__________  -->
                <div class="p-box">
                    <div class="p-img"><img src="{{ url('images/' . $data['image']) }}" alt="">
                    </div>
                    <div class="pro-content">
                        <div class="heading-sec">{{ $data->product_title }}</div>
                        <p>{{ $data->product_title }}</p>
                        <a href="" class="btn-sec">read more</a>
                    </div>
                </div>
               @endforeach
                <!---__________  -->
            </div>
        </div>
    </section>

    <!--______ mid-section ____-->
    <section class="md-section">
        <div class="container">
            <div class="header-part text-center">
                <div class="title-sec">UKJAS Accreditation Pvt. Ltd.</div>
                <div class="sub-title">UKJAS Offer International Accreditation As Per ISO 17025, ISO 17020, ISO 17021,
                    ISO 17024, ISO 17065 & Many More.</div>
            </div>
            <div class="row">

                <div class="col-md-6">
                    <ul class="md_list">
                        <li><span><img src="assets/image/img/icon/ar2.png" alt=""></span>
                            <b>ISO/IEC 15189 Accreditation</b>
                            for Medical and Clinical laboratory accreditation for Quality and
                            Safety of test performed.
                        </li>
                        <li><span><img src="assets/image/img/icon/ar2.png" alt=""></span>
                            <b>ISO/IEC 17020 Accreditation</b> for <b>Third party
                                inspection (TPI) Body</b> performing various types of
                            inspection like material inspection, shipment inspection,
                            goods inspection, NDT, Radiology etc.
                        </li>
                        <li><span><img src="assets/image/img/icon/ar2.png" alt=""></span>
                            <b>ISO/IEC 17021 Accreditation</b> for <b>Third party
                                Auditing (TPA) Certification Body</b> issuing
                            certificate of ISO
                            9001/14001/18001/20001/22001/27001/28001/29001/31001/39001/45001/50001/55001/3834/AS9011/6081/TL9000/SQF/5S/TQM/Six
                            sigma certification etc
                        </li>
                        <li><span><img src="assets/image/img/icon/ar2.png" alt=""></span>
                            <b>ISO/IEC 17024 Accreditation</b> for Independent Training
                            institute accreditation of their couses offered
                        </li>
                        <li><span><img src="assets/image/img/icon/ar2.png" alt=""></span>
                            <b> ISO/IEC 17025 Accreditation </b>for Calibration and Testing
                            laboratories operating for various disciplined like metal
                            testing , electrotechnical equipment calibration, mechanical
                            calibration etc.
                        </li>

                    </ul>
                </div>
                <div class="col-md-6">
                    <img src="assets/image/img/image/md.jpg" alt="">
                </div>

                <div class="col-md-12">
                    <p>Certification is a fantastic business asset but there is sometimes a misunderstanding about
                        certification that governments deem it to be mandatory and, secondly, that all certification
                        bodies have to be accredited by a National Accreditation Body which is the only accreditation
                        body permitted to operate. This is simply not true. The UK Department for Business Innovation
                        and Skills’ (BIS) official policy principles on Conformity Assessment and Accreditation in the
                        UK clearly states</p>

                </div>
            </div>
        </div>
    </section>

    <!--=========- certificate gallery -========-->
    <section class="certificate-gallery">
        <div class="container">
            <div class="header-part text-center c-header">
                <div class="title-sec ">our certificate's</div>

            </div>
            <div class="certificate-slider ">
                <div class="p-box">
                    <div class=" p-img"><a href="assets/image/img/certificate/c1-1.png" class="view"><img
                                src="assets/image/img/certificate/c1-1.png" alt="" class="w-100"></a>
                    </div>
                </div>
                <div class="p-box">
                    <div class=" p-img"><a href="assets/image/img/certificate/c2.webp" class="view"><img
                                src="assets/image/img/certificate/c2.webp" alt="" class="w-100"></a>
                    </div>
                </div>
                <div class="p-box">
                    <div class=" p-img"><a href="assets/image/img/certificate/c3.webp" class="view"><img
                                src="assets/image/img/certificate/c3.webp" alt="" class="w-100"></a>
                    </div>
                </div>
                <div class="p-box">
                    <div class=" p-img"><a href="assets/image/img/certificate/c4.webp" class="view"><img
                                src="assets/image/img/certificate/c4.webp" alt="" class="w-100"></a>
                    </div>
                </div>
                <div class="p-box">
                    <div class=" p-img"><a href="assets/image/img/certificate/c1-1.png" class="view"><img
                                src="assets/image/img/certificate/c1-1.png" alt="" class="w-100"></a>
                    </div>
                </div>
                <div class="p-box">
                    <div class=" p-img"><a href="assets/image/img/certificate/c2.webp" class="view"><img
                                src="assets/image/img/certificate/c2.webp" alt="" class="w-100"></a>
                    </div>
                </div>
                <div class="p-box">
                    <div class=" p-img"><a href="assets/image/img/certificate/c3.webp" class="view"><img
                                src="assets/image/img/certificate/c3.webp" alt="" class="w-100"></a>
                    </div>
                </div>
                <div class="p-box">
                    <div class=" p-img"><a href="assets/image/img/certificate/c4.webp" class="view"><img
                                src="assets/image/img/certificate/c4.webp" alt="" class="w-100"></a>
                    </div>
                </div>





            </div>
        </div>
    </section>

    <!-- ========contact-sec========= -->
    @include('contact-home')

    <!--____contact-end_______-->


    <!--_______ testimonial ________-->
    <section class="testimonial-sec">
        <div class="container">
            <div class="row text-center">
                <div class="col-md-12">
                    <div class="header-part text-center">
                        <div class="title-sec text-center mb-4">testimonial</div>
                    </div>
                    <div class="testi-slider">
                          @foreach ($testimonial_show as $testi)
                        <div class="testi-box">
                            <div class="testi-thumb ">
                                <div class="testi-img">
                                    <img src="{{ url('images/' . $testi['image']) }}" alt="">
                                </div>
                                <div class="testi-name">{{ $testi->client_name }}</div>
                            </div>
                            <div class="content-sec">
                                {!! htmlspecialchars_decode($testi->description) !!}
                            </div>
                        </div>
                        @endforeach
                    </div>
                </div>
            </div>
        </div>
    </section>


    <!--faq-section-->
    <section class="accordion-section">
        <div class="container">
            <div class="row faq-sec">
                <div class="col-md-12">
                    <div class="header-part acc-header">
                        <div class="text-center title-sec">Frequently Asked Questions</div>
                    </div>

                    <div class="accordion">
                        <div class="accordion-item medical-accordion-item">
                            <div class="accordion-item-header medical-accordion">
                                One of my suppliers has a certificate from a body that does
                                not appear to be accredited, &#8211; is it valid?</div>
                            <div class="accordion-item-body">
                                <div class="accordion-item-body-content  medical-accordion-body">
                                    <p>Approval worldwide is guaranteed within the schemes that the
                                        UKJAS operates because it is the scheme owner that defines the
                                        rules for recognition and acceptance. Some of these scheme
                                        owners are government bodies and most of them are private
                                        schemes. This means that a product certified by UKJAS accredited
                                        certification body is accepted worldwide.</p>
                                    <p>UKJAS is aware of the existence of non-accredited bodies offering
                                        services that could potentially be accredited. In many sector
                                        accreditation is <b>voluntary</b> and there is not legal
                                        requirement to be accredited therefore the organisation is not
                                        operating illegally, however UKJAS is unable to offer any
                                        comment on whether their services will meet your requirements.
                                        This is upto the client to choose independent accreditation body
                                        who can do value addition, customer satisfaction and recognized
                                        worldwide.</p>
                                    <p>IAF-AB also conducts its own assessment and surveillance of the
                                        UKJAS against ISO/IEC 17011 and we are proud to be designated as
                                        one of the Conformity Verification Bodies under ISO 17011
                                        Standard compliance. The document ISO/IEC 17011: ‘Conformity
                                        assessment – General requirements for accreditation bodies
                                        accrediting conformity assessment bodies’ is applicable standard
                                        for Accreditation Body (AB).</p>
                                    <p>However UKJAS accreditation provides consumers and businesses
                                        with confidence that the service or products they are
                                        purchasing, should meet expected needs and international
                                        standards and that the organisation is competent to conduct its
                                        activities. As such many organisations including most areas of
                                        UKJAS government, multi-national for supply chain management,
                                        and recruiter for job and client for calibration and testing
                                        rely upon independent accredited organisations to ensure quality
                                        in their supply chain. As a result it may not be possible for
                                        supplier of unaccredited services to be part of these supply
                                        chains.</p>

                                </div>
                            </div>
                        </div>
                    </div>

                    <div class="accordion">
                        <div class="accordion-item medical-accordion-item">
                            <div class="accordion-item-header medical-accordion">
                                I am interested in setting up a new accreditation or
                                certification scheme, how do I go about getting UKJAS
                                recognition for this scheme? </div>
                            <div class="accordion-item-body">
                                <div class="accordion-item-body-content  medical-accordion-body">

                                    <p>We believe on Innovation and Entreprenuership. UKJAS operates a
                                        new product development programme, enabling us to develop
                                        innovative ways to reflect and serve the market sectors and
                                        industry and society in which we operate. When exploring new or
                                        emerging areas or schemes and fields of accreditation, we start
                                        by assessing the validity of the proposal in order to establish
                                        whether:</p>
                                    <p>there is a genuine need for accreditation and appropriate
                                        ownership of the approach being offered (driven by the
                                        market and not by the evaluators);</p>
                                    <p>the approach has been developed by relevant interested
                                        parties;</p>
                                    <p>the evaluation criteria meet appropriate technical
                                        standards;</p>
                                    <p>the approach is eligible for UKJAS accreditation i.e. in the
                                        public interest and eligible for international
                                        recognition.</p>

                                </div>
                            </div>
                        </div>
                    </div>

                    <div class="accordion">
                        <div class="accordion-item medical-accordion-item">
                            <div class="accordion-item-header medical-accordion">
                                How much will it cost to get accreditation?</div>
                            <div class="accordion-item-body">
                                <div class="accordion-item-body-content  medical-accordion-body">
                                    <p>UKJAS provides a best quote for each organisation based upon your specific
                                        application and circumstances. We Assure fastest and cost effective solution as
                                        per your need. We assure you hassle free, fast and reliable accreditation
                                        services without any red tapeism at lowest cost. We always have red carpet for
                                        our client for delightness and value for money.</p>
                                    <p>Until we receive an application for accreditation which details the size of your
                                        operation, it is very difficult to provide you with an accurate estimate of the
                                        cost to become UKJAS accredited.</p>
                                    <p>Our fee schedule is publicly available and is made up of a payment for work
                                        component and a payment for use based upon no of mandays assessment required
                                        plus annual fee. The latter means that certification bodies with low turnovers,
                                        perhaps in developing countries, pay less than larger bodies in the West. This
                                        is an intentional feature of the UKJAS.</p>
                                    <p>Certification bodies complete an application form and then submit a ‘CB profile’
                                        and their quality system documents using an electronic checklist. The
                                        documentation is reviewed which normally gives rise to non-conformities which
                                        must be resolved. An on-site visit takes place after which another period of
                                        corrective actions is allowed. Assuming all important issues are resolved before
                                        accreditation.</p>
                                    <p>All assessment fees are effort related; i.e. &#8211; dependent on
                                        the complexity of scope of accreditation being sought. These
                                        fees include not just the time the assessment team spend at your
                                        site but also office time.Ask quotation by filling Quotation
                                        request form (QRF) or mail to or call at +91-250-2341257 / 007979801035 /
                                        009405448532</p>

                                </div>
                            </div>
                        </div>
                    </div>

                    <div class="accordion">
                        <div class="accordion-item medical-accordion-item">
                            <div class="accordion-item-header medical-accordion">
                                Can I apply for more than one accreditation?</div>
                            <div class="accordion-item-body">
                                <div class="accordion-item-body-content  medical-accordion-body">
                                    <p>We offer an increasing number of accreditations within the
                                        various sector and for related sectors and have developed a
                                        system whereby we can perform multiple assessments alongside
                                        each other and at minimal extra cost. You can indicate what
                                        accreditations you want to apply for on the common application
                                        form.</p>
                                </div>
                            </div>
                        </div>
                    </div>

                    <div class="accordion">
                        <div class="accordion-item medical-accordion-item">
                            <div class="accordion-item-header medical-accordion">
                                How long will it take to become UKJAS accredited?</div>
                            <div class="accordion-item-body">
                                <div class="accordion-item-body-content  medical-accordion-body">
                                    <p>We aim for a lead-in time of approximately one week to three
                                        months to arrange the first visit to your organisation. However,
                                        there are a number of aspects that impact on the timescale for
                                        the UKJAS application/assessment process e.g. a company&#8217;s
                                        state of readiness to be assessed, response times to improvement
                                        actions raised, size/complexity of scope, availability of key
                                        assessment personnel etc.</p>
                                    <p>With this in mind, and, depending on the organisation being
                                        assessed we would say that the process could realistically take
                                        between 1-6 months from application to accreditation.</p>
                                </div>
                            </div>
                        </div>
                    </div>

                    <div class="accordion">
                        <div class="accordion-item medical-accordion-item">
                            <div class="accordion-item-header medical-accordion">
                                What if an organisation is not accredited by UKJAS, but by
                                another Accreditation Body?</div>
                            <div class="accordion-item-body">
                                <div class="accordion-item-body-content  medical-accordion-body">
                                    <p>UKJAS is an independent accreditation body, along with other
                                        recognised accreditation bodies world-wide. We believe certified
                                        once , accepted worldwide.</p>
                                </div>
                            </div>
                        </div>
                    </div>
                    <div class="accordion">
                        <div class="accordion-item medical-accordion-item">
                            <div class="accordion-item-header medical-accordion">
                                Is there a international database of ISO 9001 certified
                                organisations?</div>
                            <div class="accordion-item-body">
                                <div class="accordion-item-body-content  medical-accordion-body">
                                    <p>There is no single database of those organisations who are ISO
                                        9001 certificated in the worldwide.</p>
                                    <p>There is Independent <b>International Register of product person
                                            and organization (IRPPO)</b> refer www.irppo.com to find
                                        accredited Certification &amp; Inspection Bodies, Testing &amp;
                                        Calibration Laboratories and Proficiency Testing Bodies,
                                        Training institutes around you, person competence for
                                        recruitment etc.. This is free access to database, so it is up
                                        to the organisation with ISO 9001 certification to choose to be
                                        registered on this database. You will also need to subscribe to
                                        free access the free membership area of the site. ISO produce an
                                        annual ISO 9001 survey. Details can be found on the ISO website.</p>
                                </div>
                            </div>
                        </div>
                    </div>


                </div>
            </div>
        </div>
    </section>


    <!--=========client_slider========-->
    <section class="our-client">
        <div class="container">
            <div class="row justify-content-center ">
                <div class="col-md-12 mx-auto">
                    <div class="header-part text-center">
                        <div class="title-sec"> our clients</div>
                    </div>
                </div>
            </div>
            <div class="client-slider">
                <div class="c-box">
                    <div class="c-img"><img src="assets/image/img/client/c1.jpg" alt=""></div>
                </div>
                <div class="c-box">
                    <div class="c-img"><img src="assets/image/img/client/c2.webp" alt=""></div>
                </div>
                <div class="c-box">
                    <div class="c-img"><img src="assets/image/img/client/c3.png" alt=""></div>
                </div>
                <div class="c-box">
                    <div class="c-img"><img src="assets/image/img/client/c6.webp" alt=""></div>
                </div>
                <div class="c-box">
                    <div class="c-img"><img src="assets/image/img/client/c7.webp" alt=""></div>
                </div>
                <div class="c-box">
                    <div class="c-img"><img src="assets/image/img/client/c8.webp" alt=""></div>
                </div>
                <div class="c-box">
                    <div class="c-img"><img src="assets/image/img/client/c9.webp" alt=""></div>
                </div>
                <div class="c-box">
                    <div class="c-img"><img src="assets/image/img/client/c10.webp" alt=""></div>
                </div>
                <div class="c-box">
                    <div class="c-img"><img src="assets/image/img/client/c1.jpg" alt=""></div>
                </div>
                <div class="c-box">
                    <div class="c-img"><img src="assets/image/img/client/c2.webp" alt=""></div>
                </div>
                <div class="c-box">
                    <div class="c-img"><img src="assets/image/img/client/c3.png" alt=""></div>
                </div>



            </div>
        </div>

    </section>

    <!--=========footer-start=========-->
   @include('include.footer-inner')

    <!--==============js-cdn================-->
    @include('include.comman-end')

</body>

</html>