<!doctype html>
<html lang="en">

<head>
     @foreach($website as $web)
    <!-- Required meta tags -->
    <meta charset="utf-8">
    <meta name="viewport" content="width=device-width, initial-scale=1">

    <!-- Bootstrap CSS -->
    <link href="https://cdn.jsdelivr.net/npm/bootstrap@5.0.2/dist/css/bootstrap.min.css" rel="stylesheet"
        integrity="sha384-EVSTQN3/azprG1Anm3QDgpJLIm9Nao0Yz1ztcQTwFspd3yD65VohhpuuCOmLASjC" crossorigin="anonymous">
    <link rel="stylesheet" href="https://cdnjs.cloudflare.com/ajax/libs/font-awesome/6.2.0/css/all.min.css">
    <link rel="stylesheet" type="text/css" href="https://cdn.jsdelivr.net/npm/slick-carousel@1.8.1/slick/slick.css" />
    <link href="https://cdnjs.cloudflare.com/ajax/libs/magnific-popup.js/1.1.0/magnific-popup.css" rel="stylesheet">
    <link href="{{ url('images/' . $web['website_icon']) }}" rel="icon">
    <link rel="stylesheet" href="{{ asset('assets/css/frontent/style.css') }}">
    <title>{{ str_replace('subdomain', $locationdata->loaction_name, $homepages->first()->pg_meta_title) }}</title>
    <meta name="keywords" content="{{ str_replace('subdomain', $locationdata->loaction_name, $homepages->first()->pg_meta_keyword) }}">
    <meta name="description" content="{{ str_replace('subdomain', $locationdata->loaction_name, $homepages->first()->pg_meta_desc) }}">
    <meta name="author" content="{{ $web->website_tagline }}">
    @endforeach
</head>

<body>
     @include('include.header-inner')
     
    <section class="inner_header">
        <img src="{{ asset('assets/image/img/home-banner2.webp') }}" alt="">
        <div class="inner_text">
            <span class="inner_hrad">{{ str_replace('subdomain', $locationdata->loaction_name, $homepages->first()->short_description) }}</span>
            <div class="brade_crom">
                <a href="{{ url('/') }}">Home /</a>
                <span>{{ str_replace('subdomain', $locationdata->loaction_name, $homepages->first()->short_description) }}</span>
            </div>
        </div>
    </section>

    <section class="home_ab">
        <div class="container">
            <div class="row">
                @foreach ($homepages as $item)
                <div class="col-lg-6 mt-3">
                    <div class="img1">
                         @if ($item->image)
                        <img src="{{ url('images/' . $item->image) }}" alt="">
                        @endif
                    </div>
                </div>
                <div class="col-lg-6 mt-3">
                     @if ($homepages->isNotEmpty())
                    <span class="main_head"> {{ str_replace('subdomain', $locationdata->loaction_name, $homepages->first()->short_description) }}</span>
                    @else
                          @endif
                     <p>@if ($homepages->isNotEmpty())
                        {!! htmlspecialchars_decode(str_replace('subdomain', $locationdata->loaction_name, $homepages->first()->description)) !!}
                    @else
                    @endif</p>
                </div>
                @endforeach
            </div>
        </div>
    </section>


    <section class="services margin text-center">
        <div class="container">
            <span class="main_head">Our Services</span>
            <div class="srevice_slider">
                  @foreach($products as $data)
                <div class="service-item">
                    <a href="{{ url('/', ['pg_url' => $locationdata->pg_url, 'product_url' => $data->product_url]) }}"> <img src="{{ url('images/' . $data['image']) }}" alt=""></a>
                    <span class="ser_head"><a href="{{ url('/', ['pg_url' => $locationdata->pg_url, 'product_url' => $data->product_url]) }}">{{ $data->product_title }}</a></span>
                </div>
                @endforeach
            </div>
        </div>
    </section>
    @include('contact-home')
   
 @include('include.footer-inner')
     
 @include('include.comman-end')

</body>

</html>