<!doctype html>
<html class="no-js" lang="en">

<head>
    <?php $__currentLoopData = $website; $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $web): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
    <meta charset="utf-8">
    <meta http-equiv="x-ua-compatible" content="ie=edge">
    <title><?php echo e($extraproductData->pg_meta_title); ?></title>
    <meta name="description" content="<?php echo e($extraproductData->pg_meta_desc); ?>">
    <meta name="keywords" content="<?php echo e($extraproductData->pg_meta_keyword); ?>">
    <meta name="author" content="<?php echo e($web->website_tagline); ?>">
    <meta name="viewport" content="width=device-width, initial-scale=1">
    <!-- CSS here -->
    <link rel="stylesheet" href="<?php echo e(asset('assets/css/frontent/bootstrap.min.css')); ?>">
    <link rel="stylesheet" href="<?php echo e(asset('assets/css/frontent/animate.min.css')); ?>">
    <link rel="stylesheet" href="<?php echo e(asset('assets/css/frontent/fontawesome.min.css')); ?>">
    <link rel="stylesheet" href="<?php echo e(asset('assets/css/frontent/flaticon.css')); ?>">
    <link rel="stylesheet" href="<?php echo e(asset('assets/css/frontent/venobox.min.css')); ?>">
    <link rel="stylesheet" href="<?php echo e(asset('assets/css/frontent/owl.carousel.min.css')); ?>">
    <link rel="stylesheet" href="<?php echo e(asset('assets/css/frontent/main.css')); ?>">
    <link href="<?php echo e(url('images/' . $web['website_icon'])); ?>" rel="icon">
    <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>
</head>

<body>

    <!-- header-start -->
    <?php echo $__env->make('include.header-inner', \Illuminate\Support\Arr::except(get_defined_vars(), ['__data', '__path']))->render(); ?>
    <!-- header-start -->

    <main>
        <!-- page title area start here-->
        <div class="page-title-area mt-80 pt-200 pb-105" data-background="<?php echo e(asset('assets/image/img/bg/bread-bg.jpg')); ?>">
            <div class="container">
                <div class="row">
                    <div class="col-xl-12">
                        <div class="page-title-wrapper text-center">
                            <h1 class="page-title"><?php echo e($extraproductData->product_name); ?></h1>
                            <div class="breadcrumb breadcrumb-list">
                                <nav aria-label="Breadcrumbs" class="breadcrumb-trail breadcrumbs">
                                    <ul class="trail-items">
                                        <li class="trail-item trail-begin">
                                            <a href="<?php echo e(url('/')); ?>"><span>Home</span></a>
                                        </li>
                                        <li class="trail-item trail-end"><span><?php echo e($extraproductData->product_name); ?></span></li>
                                    </ul>
                                </nav>
                            </div>
                        </div>
                    </div>
                </div>
            </div>
        </div>
        <!-- page title area end here-->


        <!-- about area start here -->
        <section class="about-area  pt-100 pb-70">
            <div class="container">
                <div class="row">
                    <div class="col-xxl-6 col-xl-6 col-lg-6">
                        <div class="mabout__thumb pos-sticky mb-50" data-wow-delay="0.3s">
                            <img src="<?php echo e(url('images/' . $extraproductData['product_image'])); ?>" alt="ab-1.jpg">
                        </div>
                    </div>
                    <div class="col-xxl-6 col-xl-6 col-lg-6">
                        <div class="mabout-right pr-70 mb-45">
                            <div class="section_title_wrapper mb-35 wow fadeInUp" data-wow-delay="0.3s">
                                <p class="msection-title mb-35">
                                  <?php echo e($extraproductData->short_description); ?>

                                </p>
                                <div class="msubtitle">
                        <p class="mdl-content"><?php echo htmlspecialchars_decode($extraproductData->description); ?></p>
                                </div>
                            </div>
                        </div>
                    </div>
                </div>
    <div class="msubtitle custom-modal-inner">
                        <p class="mdl-content"><?php echo htmlspecialchars_decode($extraproductData->specification); ?></p>
                                </div>
            </div>
        </section>
        
      
        <!-- about area end here -->
         <div class="business-service-area business-sbg pt-110 pb-85">
            <div class="container">
                <div class="row align-items-center wow fadeInUp" data-wow-delay="0.3s">
                    <div class="col-xl-6 col-lg-6">
                        <div class="section_title_wrapper mb-60">
                            <p class="msection-title msection-title-white title-br">
                               What We Offer
                            </p>
                        </div>
                    </div>
                    <div class="col-xl-6 col-lg-6 ">
                        <div class="business-right-btn ml-35 mb-40">
                            <a href="" class="theme-btn home2-btn btn-yellow btn-yellow-hover text-white"><i
                                    class="fal fa-angle-double-right"></i>More Products</a>
                        </div>
                    </div>
                </div>
            </div>
            <div class="custom-container overflow-hidden">
                <div class=" mySwiper product-slider business__services">
                    <div class="swiper-wrapper">
                          <?php $__currentLoopData = $products; $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $data): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
                        <div class="swiper-slide">
                            <div class="popular__services mb-30 wow fadeInUp" data-wow-delay="0.3s">
                                <div class="popular__services-thumb p-relative">
                                     <?php if(isset($data['image'])): ?>
                                    <img src="<?php echo e(url('images/' . $data['image'])); ?>" alt="img not found">
                                     <?php endif; ?>
                                    <div class="popular__services-thumb-title">
                                        <p class="h5-tx"><a href=""><?php echo e($data->product_title); ?></a></p>
                                    </div>
                                    <div class="popular__services-thumb-text text-center">
                                        <div class="popular__services-thumb-text-icon mb-30">
                                            <a href=""><i class="flaticon-robot-arm"></i></a>
                                        </div>
                                        <div class="popular__services-thumb-text-content transition-3">
                                            <p class="services__title"><a href=""><?php echo e($data->product_title); ?></a>
                                            </p>
                                            <p><?php echo e($data->sort_description); ?></p>
                                            <div class="popular__services-thumb-text-button">
                                                <a href="">Read More</a>
                                            </div>
                                        </div>
                                    </div>
                                </div>
                            </div>
                        </div>
                        <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>
                        
                    </div>
                </div>
            </div>
        </div>
        <!-- busine-->
        
<?php echo $__env->make('contact-home', \Illuminate\Support\Arr::except(get_defined_vars(), ['__data', '__path']))->render(); ?>
    </main>

     <!-- footer-area-start -->
    <?php echo $__env->make('include.footer-inner', \Illuminate\Support\Arr::except(get_defined_vars(), ['__data', '__path']))->render(); ?>

    <!-- footer-area-end -->

    <!-- back to top start -->
    <div class="progress-wrap">
        <svg class="progress-circle svg-content" width="100%" height="100%" viewBox="-1 -1 102 102">
            <path d="M50,1 a49,49 0 0,1 0,98 a49,49 0 0,1 0,-98" />
        </svg>
    </div>
    <!-- back to top end -->

    <!-- Modal code -->
    <div id="custom-modal" class="custom-modal">
        <div class="overlay-for-close"></div>
        <div class="custom-modal-dialog">
            <div class="custom-modal-content">
               <span class="close-modal">X</span>
                <div class="custom-modal-body">
                    <div class="custom-modal-inner">
                           <!-- Product content in modal will appear here -->
                    </div>
                </div>
            </div>
        </div>
    </div>


    <?php echo $__env->make('include.comman-end', \Illuminate\Support\Arr::except(get_defined_vars(), ['__data', '__path']))->render(); ?>

</body>

</html><?php /**PATH /home/ininsstavyaparco/public_html/instavyapar.net/Hunter/resources/views/extra-product.blade.php ENDPATH**/ ?>