<!doctype html>
<html class="no-js" lang="en">

<head>
    <?php $__currentLoopData = $website; $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $web): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
    <meta charset="utf-8">
    <meta http-equiv="x-ua-compatible" content="ie=edge">
    <title><?php echo e($productData->pg_meta_title); ?></title>
    <meta name="description" content="<?php echo e($productData->pg_meta_desc); ?>">
    <meta name="keywords" content="<?php echo e($productData->pg_meta_keyword); ?>">
    <meta name="author" content="<?php echo e($web->website_tagline); ?>">
    <meta name="viewport" content="width=device-width, initial-scale=1">
    <!-- CSS here -->
    <link rel="stylesheet" href="<?php echo e(asset('assets/css/frontent/bootstrap.min.css')); ?>">
    <link rel="stylesheet" href="<?php echo e(asset('assets/css/frontent/animate.min.css')); ?>">
    <link rel="stylesheet" href="<?php echo e(asset('assets/css/frontent/fontawesome.min.css')); ?>">
    <link rel="stylesheet" href="<?php echo e(asset('assets/css/frontent/flaticon.css')); ?>">
    <link rel="stylesheet" href="<?php echo e(asset('assets/css/frontent/venobox.min.css')); ?>">
    <link rel="stylesheet" href="<?php echo e(asset('assets/css/frontent/owl.carousel.min.css')); ?>">
    <link rel="stylesheet" href="<?php echo e(asset('assets/css/frontent/main.css')); ?>">
    <link href="<?php echo e(url('images/' . $web['website_icon'])); ?>" rel="icon">
    <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>
</head>

<body>

    <!-- header-start -->
    <?php echo $__env->make('include.header-inner', \Illuminate\Support\Arr::except(get_defined_vars(), ['__data', '__path']))->render(); ?>
    <!-- header-start -->

    <main>
        <!-- page title area start here-->
        <div class="page-title-area mt-80 pt-200 pb-105" data-background="<?php echo e(asset('assets/image/img/bg/bread-bg.jpg')); ?>">
            <div class="container">
                <div class="row">
                    <div class="col-xl-12">
                        <div class="page-title-wrapper text-center">
                            <h1 class="page-title"><?php echo e($productData->product_title); ?></h1>
                            <div class="breadcrumb breadcrumb-list">
                                <nav aria-label="Breadcrumbs" class="breadcrumb-trail breadcrumbs">
                                    <ul class="trail-items">
                                        <li class="trail-item trail-begin">
                                            <a href="<?php echo e(url('/')); ?>"><span>Home</span></a>
                                        </li>
                                        <li class="trail-item trail-end"><span><?php echo e($productData->product_title); ?></span></li>
                                    </ul>
                                </nav>
                            </div>
                        </div>
                    </div>
                </div>
            </div>
        </div>
        <!-- page title area end here-->


        <!-- about area start here -->
        <section class="about-area  pt-100 pb-70">
            <div class="container">
                <div class="row">
                    <div class="col-xxl-6 col-xl-6 col-lg-6">
                        <div class="mabout__thumb pos-sticky mb-50" data-wow-delay="0.3s">
                            <img src="<?php echo e(url('images/' . $productData['image'])); ?>" alt="ab-1.jpg">
                        </div>
                    </div>
                    <div class="col-xxl-6 col-xl-6 col-lg-6">
                        <div class="mabout-right pr-70 mb-45">
                            <div class="section_title_wrapper mb-35 wow fadeInUp" data-wow-delay="0.3s">
                                <p class="msection-title mb-35">
                                  <?php echo e($productData->sort_description); ?>

                                </p>
                                <div class="msubtitle">
                         <p> <?php echo htmlspecialchars_decode($productData->description); ?></p>
                                </div>
                            </div>
                        </div>
                    </div>
                </div>
                <?php if($extraproducts->where('p_id', $productData->product_id)->where('product_image', '!=', null)->count() > 0): ?>
                 <section class="popular-services pt-110 pb-90 gry-bg">
            <div class="container">
                <div class="row justify-content-center">
                    <div class="col-xxl-10">
                        <div class="section_title_wrapper text-center mb-50 wow fadeInUp" data-wow-delay="0.3s">
                            <span class="subtitle price-sb-title">
                               RELATED PRODUCTS
                            </span>
                            <p class="section-title section-title-black">
                               OUR RELATED  PRODUCTS
                            </p>
                        </div>
                    </div>
                </div>
                <div class="row">
                     <?php $__currentLoopData = $extraproducts->where('p_id', $productData->product_id); $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $extradata): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
                    
                    <div class="col-xl-4 col-lg-4 col-md-6">
                        <div class="popular__services mb-30 wow fadeInUp" data-wow-delay="0.3s">
                            <div class="popular__services-thumb p-relative">
                                
                                <img src="<?php echo e(url('images/' . $extradata['product_image'])); ?>" alt="<?php echo e($extradata->product_name); ?>" title="<?php echo e($extradata->product_name); ?>">
                                <div class="popular__services-thumb-title">
                                    <p class="h5-tx"><a href=""><?php echo e($extradata->product_name); ?></a></p>
                                </div>
                                <div class="popular__services-thumb-text text-center">
                                    <div class="popular__services-thumb-text-icon mb-30">
                                        <a href="<?php echo e(route('extraproduct_detail', ['loction_product_slug' => $extradata->loction_product_slug])); ?>"><i class="flaticon-robot-arm"></i></a>
                                    </div>
                                    <div class="popular__services-thumb-text-content transition-3">
                                        <p class="services__title"><a href="<?php echo e(route('extraproduct_detail', ['loction_product_slug' => $extradata->loction_product_slug])); ?>"><?php echo e($extradata->product_name); ?></a>
                                        </p>
                                        <p><?php echo e($extradata->sort_description); ?></p>
                                        <div class="popular__services-thumb-text-button">
                                            <a href="<?php echo e(route('extraproduct_detail', ['loction_product_slug' => $extradata->loction_product_slug])); ?>">Read More</a>
                                        </div>
                                    </div>
                                </div>
                            </div>
                        </div>
                    </div>
                    <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>
                </div>
            </div>
        </section>
                <?php endif; ?>
                
                
                
                <!--<div class="row pt-50">-->
                <!--    <div class="col-lg-10">-->
                <!--        <div class="section_title_wrapper wow fadeInUp" data-wow-delay="0.3s" >-->
                <!--            <span class="subtitle service-ex-subtitle">-->
                <!--                Products-->
                <!--            </span>-->
                <!--            <p class="msection-title mb-15">-->
                <!--                Related Products-->
                <!--            </p>-->
                <!--        </div>-->
                <!--    </div>-->
                <!--</div>-->
                <!--<div class="row ">-->
                    
                <!--    <div class="col-xl-3 col-lg-4 col-md-6 mb-25">-->
                <!--        <div class="same-pd-box modal-link">-->
                <!--            <img class="img-sm-modal" src="<?php echo e(url('images/' . $productData['image_one'])); ?>" alt="">-->
                <!--            <span class="Name"><?php echo e($productData->tab_one_heading); ?></span>-->
                <!--            <span class="pd-spect">Product Specifications</span>-->
                <!--            <p class="mdl-content"><?php echo htmlspecialchars_decode($productData->tab_one_description); ?>-->
                <!--            </p>-->
                <!--        </div>-->
                <!--    </div>-->
                <!--    <div class="col-xl-3 col-lg-4 col-md-6 mb-25">-->
                <!--        <div class="same-pd-box modal-link">-->
                <!--            <img class="img-sm-modal" src="https://instavyapar.net/Hunter/public/images/1615299786.jpg" alt="">-->
                <!--            <span class="Name">Lorem ipsum dolor sit Two</span>-->
                <!--            <p class="mdl-content">Lorem ipsum dolor sit, amet consectetur adipisicing elit. Debitis blanditiis, iste soluta, delectus saepe libero placeat commodi quos ut labore deleniti quasi velit nisi modi provident neque esse voluptatibus odio.-->
                <!--                Lorem ipsum dolor sit amet consectetur adipisicing elit. Facere doloribus dolore impedit, non quae perferendis reiciendis, officia unde repellat voluptate dolor fugit blanditiis magni ut eaque ea, amet quo totam!-->
                <!--                Lorem ipsum dolor sit amet consectetur adipisicing elit. Facere doloribus dolore impedit, non quae perferendis reiciendis, officia unde repellat voluptate dolor fugit blanditiis magni ut eaque ea, amet quo totam!-->
                <!--                Lorem ipsum dolor sit amet consectetur adipisicing elit. Facere doloribus dolore impedit, non quae perferendis reiciendis, officia unde repellat voluptate dolor fugit blanditiis magni ut eaque ea, amet quo totam!-->
                <!--                Lorem ipsum dolor sit amet consectetur adipisicing elit. Facere doloribus dolore impedit, non quae perferendis reiciendis, officia unde repellat voluptate dolor fugit blanditiis magni ut eaque ea, amet quo totam!-->
                <!--                Lorem ipsum dolor sit amet consectetur adipisicing elit. Facere doloribus dolore impedit, non quae perferendis reiciendis, officia unde repellat voluptate dolor fugit blanditiis magni ut eaque ea, amet quo totam!-->
                <!--                Lorem ipsum dolor sit amet consectetur adipisicing elit. Facere doloribus dolore impedit, non quae perferendis reiciendis, officia unde repellat voluptate dolor fugit blanditiis magni ut eaque ea, amet quo totam!-->
                <!--            </p>-->
                <!--        </div>-->
                <!--    </div>-->
                <!--    <div class="col-xl-3 col-lg-4 col-md-6 mb-25">-->
                <!--        <div class="same-pd-box modal-link">-->
                <!--            <img class="img-sm-modal" src="https://instavyapar.net/Hunter/public/images/895783392.jpg" alt="">-->
                <!--            <span class="Name">Lorem ipsum dolor sit</span>-->
                <!--            <p class="mdl-content">Lorem ipsum dolor sit, amet consectetur adipisicing elit. Debitis blanditiis, iste soluta, delectus saepe libero placeat commodi quos ut labore deleniti quasi velit nisi modi provident neque esse voluptatibus odio.-->
                <!--                Lorem ipsum dolor sit amet consectetur adipisicing elit. Facere doloribus dolore impedit, non quae perferendis reiciendis, officia unde repellat voluptate dolor fugit blanditiis magni ut eaque ea, amet quo totam!-->
                <!--                Lorem ipsum dolor sit amet consectetur adipisicing elit. Facere doloribus dolore impedit, non quae perferendis reiciendis, officia unde repellat voluptate dolor fugit blanditiis magni ut eaque ea, amet quo totam!-->
                <!--                Lorem ipsum dolor sit amet consectetur adipisicing elit. Facere doloribus dolore impedit, non quae perferendis reiciendis, officia unde repellat voluptate dolor fugit blanditiis magni ut eaque ea, amet quo totam!-->
                <!--                Lorem ipsum dolor sit amet consectetur adipisicing elit. Facere doloribus dolore impedit, non quae perferendis reiciendis, officia unde repellat voluptate dolor fugit blanditiis magni ut eaque ea, amet quo totam!-->
                <!--                Lorem ipsum dolor sit amet consectetur adipisicing elit. Facere doloribus dolore impedit, non quae perferendis reiciendis, officia unde repellat voluptate dolor fugit blanditiis magni ut eaque ea, amet quo totam!-->
                <!--                Lorem ipsum dolor sit amet consectetur adipisicing elit. Facere doloribus dolore impedit, non quae perferendis reiciendis, officia unde repellat voluptate dolor fugit blanditiis magni ut eaque ea, amet quo totam!-->
                <!--            </p>-->
                <!--        </div>-->
                <!--    </div>-->
                <!--    <div class="col-xl-3 col-lg-4 col-md-6 mb-25">-->
                <!--        <div class="same-pd-box modal-link">-->
                <!--            <img class="img-sm-modal" src="https://instavyapar.net/Hunter/public/images/895783392.jpg" alt="">-->
                <!--            <span class="Name">Lorem ipsum dolor sit</span>-->
                <!--            <p class="mdl-content">Lorem ipsum dolor sit, amet consectetur adipisicing elit. Debitis blanditiis, iste soluta, delectus saepe libero placeat commodi quos ut labore deleniti quasi velit nisi modi provident neque esse voluptatibus odio.-->
                <!--                Lorem ipsum dolor sit amet consectetur adipisicing elit. Facere doloribus dolore impedit, non quae perferendis reiciendis, officia unde repellat voluptate dolor fugit blanditiis magni ut eaque ea, amet quo totam!-->
                <!--                Lorem ipsum dolor sit amet consectetur adipisicing elit. Facere doloribus dolore impedit, non quae perferendis reiciendis, officia unde repellat voluptate dolor fugit blanditiis magni ut eaque ea, amet quo totam!-->
                <!--                Lorem ipsum dolor sit amet consectetur adipisicing elit. Facere doloribus dolore impedit, non quae perferendis reiciendis, officia unde repellat voluptate dolor fugit blanditiis magni ut eaque ea, amet quo totam!-->
                <!--                Lorem ipsum dolor sit amet consectetur adipisicing elit. Facere doloribus dolore impedit, non quae perferendis reiciendis, officia unde repellat voluptate dolor fugit blanditiis magni ut eaque ea, amet quo totam!-->
                <!--                Lorem ipsum dolor sit amet consectetur adipisicing elit. Facere doloribus dolore impedit, non quae perferendis reiciendis, officia unde repellat voluptate dolor fugit blanditiis magni ut eaque ea, amet quo totam!-->
                <!--                Lorem ipsum dolor sit amet consectetur adipisicing elit. Facere doloribus dolore impedit, non quae perferendis reiciendis, officia unde repellat voluptate dolor fugit blanditiis magni ut eaque ea, amet quo totam!-->
                <!--            </p>-->
                <!--        </div>-->
                <!--    </div>-->
                   
                <!--</div>-->
            </div>
        </section>
        <!-- about area end here -->
         <div class="business-service-area business-sbg pt-110 pb-85">
            <div class="container">
                <div class="row align-items-center wow fadeInUp" data-wow-delay="0.3s">
                    <div class="col-xl-6 col-lg-6">
                        <div class="section_title_wrapper mb-60">
                            <p class="msection-title msection-title-white title-br">
                               What We Offer
                            </p>
                        </div>
                    </div>
                    <div class="col-xl-6 col-lg-6 ">
                        <div class="business-right-btn ml-35 mb-40">
                            <a href="" class="theme-btn home2-btn btn-yellow btn-yellow-hover text-white"><i
                                    class="fal fa-angle-double-right"></i>More Products</a>
                        </div>
                    </div>
                </div>
            </div>
            <div class="custom-container overflow-hidden">
                <div class=" mySwiper product-slider business__services">
                    <div class="swiper-wrapper">
                          <?php $__currentLoopData = $products; $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $data): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
                        <div class="swiper-slide">
                            <div class="popular__services mb-30 wow fadeInUp" data-wow-delay="0.3s">
                                <div class="popular__services-thumb p-relative">
                                     <?php if(isset($data['image'])): ?>
                                    <img src="<?php echo e(url('images/' . $data['image'])); ?>" alt="img not found">
                                     <?php endif; ?>
                                    <div class="popular__services-thumb-title">
                                        <p class="h5-tx"><a href=""><?php echo e($data->product_title); ?></a></p>
                                    </div>
                                    <div class="popular__services-thumb-text text-center">
                                        <div class="popular__services-thumb-text-icon mb-30">
                                            <a href="<?php echo e(url('/', ['product_url' => $data->product_url])); ?>"><i class="flaticon-robot-arm"></i></a>
                                        </div>
                                        <div class="popular__services-thumb-text-content transition-3">
                                            <p class="services__title"><a href="<?php echo e(url('/', ['product_url' => $data->product_url])); ?>"><?php echo e($data->product_title); ?></a>
                                            </p>
                                            <p><?php echo e($data->sort_description); ?></p>
                                            <div class="popular__services-thumb-text-button">
                                                <a href="<?php echo e(url('/', ['product_url' => $data->product_url])); ?>">Read More</a>
                                            </div>
                                        </div>
                                    </div>
                                </div>
                            </div>
                        </div>
                        <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>
                        
                    </div>
                </div>
            </div>
        </div>
        <!-- busine-->
        
<?php echo $__env->make('contact-home', \Illuminate\Support\Arr::except(get_defined_vars(), ['__data', '__path']))->render(); ?>
    </main>

     <!-- footer-area-start -->
    <?php echo $__env->make('include.footer-inner', \Illuminate\Support\Arr::except(get_defined_vars(), ['__data', '__path']))->render(); ?>

    <!-- footer-area-end -->

    <!-- back to top start -->
    <div class="progress-wrap">
        <svg class="progress-circle svg-content" width="100%" height="100%" viewBox="-1 -1 102 102">
            <path d="M50,1 a49,49 0 0,1 0,98 a49,49 0 0,1 0,-98" />
        </svg>
    </div>
    <!-- back to top end -->

    <!-- Modal code -->
    <div id="custom-modal" class="custom-modal">
        <div class="overlay-for-close"></div>
        <div class="custom-modal-dialog">
            <div class="custom-modal-content">
               <span class="close-modal">X</span>
                <div class="custom-modal-body">
                    <div class="custom-modal-inner">
                           <!-- Product content in modal will appear here -->
                    </div>
                </div>
            </div>
        </div>
    </div>


    <?php echo $__env->make('include.comman-end', \Illuminate\Support\Arr::except(get_defined_vars(), ['__data', '__path']))->render(); ?>

</body>

</html><?php /**PATH /home/ininsstavyaparco/public_html/instavyapar.net/Hunter/resources/views/details.blade.php ENDPATH**/ ?>