<!DOCTYPE html>
<html lang="en">
<?php echo $__env->make('admin.Backend.Layout.common-head', \Illuminate\Support\Arr::except(get_defined_vars(), ['__data', '__path']))->render(); ?>
<body class="hold-transition sidebar-mini">
<div class="wrapper">
  <!-- Navbar -->
  <?php echo $__env->make('admin.Backend.Layout.header', \Illuminate\Support\Arr::except(get_defined_vars(), ['__data', '__path']))->render(); ?>
  <!-- /.navbar -->

  <!-- Main Sidebar Container -->
  <?php echo $__env->make('admin.Backend.Layout.sidebar', \Illuminate\Support\Arr::except(get_defined_vars(), ['__data', '__path']))->render(); ?>

  <!-- Content Wrapper. Contains page content -->
  <div class="content-wrapper">
    <!-- Content Header (Page header) -->
    <section class="content-header">
      <div class="container-fluid">
        <div class="row mb-2">
          <div class="col-sm-6">
            <h1>Product Location Management</h1>
            <a href="<?php echo e(route('admin.location-products')); ?>" class="btn btn-primary">Add Products</a>
          </div>
          <div class="col-sm-6">
            <ol class="breadcrumb float-sm-right">
              <li class="breadcrumb-item"><a href="#">Home</a></li>
              <li class="breadcrumb-item active">Product Location Management</li>
            </ol>
          </div>
        </div>
      </div><!-- /.container-fluid -->
    </section>

    <!-- Main content -->
    <section class="content">
      <div class="container-fluid">
        <div class="row">
          <div class="col-12">
            <div class="card">
              <div class="card-header">
                <h3 class="card-title"></h3>
              </div>
              <!-- /.card-header -->
              <div class="card-body">
                <table id="example2" class="table table-bordered table-hover">
                  <thead>
                  <tr>
                    <th>S.no</th>
                    <th>Product Name</th>
                    <th>Images</th>
                    <th>Status</th>
                    <th>Action</th>
                    
                  </tr>
                  </thead>
                  <tbody>
                  <?php
                  $pi = ($locationproduct->currentPage() - 1) * $locationproduct->perPage() + 1;
                  ?>
                  <?php $__currentLoopData = $locationproduct; $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $data): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
                  <tr>
                    <td><?php echo e($pi); ?></td>
                    <td><?php echo e($data['product_name']); ?></td>
                    <td>
                    <img src="<?php echo e(url('images/' . $data['product_image'])); ?>" alt="Pages Image" width="100" height="100">
                   </td>
                   <td>
                    <div class="toggle-button">
                        <input type="checkbox" class="itemCheckbox visually-hidden" data-item-id="<?php echo e($data->product_id); ?>" data-initial-status="<?php echo e($data->status === 'active' ? 'active' : 'inactive'); ?>" <?php echo e($data->status === 'active' ? 'checked' : ''); ?>>
                        <label class="toggle-button-label" for="itemCheckbox"></label>
                    </div>
                </td>
                    <td class="text-center">
                <a href="<?php echo e(route('admin.location_product_edit.edit', $data->product_id )); ?>" class="btn btn-primary btn-sm">Edit</a>
                <form action="<?php echo e(route('admin.manage_product_location.destroy', $data->product_id)); ?>" method="post" style="display: inline-block">
                <?php echo csrf_field(); ?>
                <?php echo method_field('DELETE'); ?>
               <button class="btn btn-danger btn-sm" type="submit">Delete</button>
              </form>
                  </td>
                  </tr>
                  <?php
                  $pi++;
                  ?>
                  <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>
                  
                  </tbody>
                  <tfoot>
                  <tr>
                    <th>S.no</th>
                    <th>Product Name</th>
                    <th>Images</th>
                    <th>Status</th>
                    <th>Action</th>
                  </tr>
                  </tfoot>
                </table>
                <div class="pagination">
                <?php echo e($locationproduct->links('pagination::bootstrap-4')); ?>

                </div>
              </div>
              <!-- /.card-body -->
            </div>
            <!-- /.card -->

            <!-- /.card -->
          </div>
          <!-- /.col -->
        </div>
        <!-- /.row -->
      </div>
      <!-- /.container-fluid -->
    </section>
    <!-- /.content -->
  </div>
  <script src="https://ajax.googleapis.com/ajax/libs/jquery/3.6.4/jquery.min.js"></script>
  <script>
    $(document).ready(function () {
        $('.toggle-button').on('click', function () {
            const checkbox = $(this).find('.itemCheckbox');
            const productId = checkbox.data('item-id');
            const isChecked = checkbox.prop('checked');
            const Status = isChecked ? 'inactive' : 'active';

           $.ajax({
                url: '<?php echo e(url("/admin/locat-prod-status/")); ?>' + '/' + productId + '/updateStatus',
                method: 'POST',
                data: {
                    _token: '<?php echo e(csrf_token()); ?>',
                    status: Status,
                },
                success: function (response) {
                    console.log(response.message);
                    // Update the checkbox state
                    checkbox.prop('checked', !isChecked);
                },
                error: function (xhr, status, error) {
                    console.error(error);
                },
            });
        });
    });
</script>

  <!-- /.content-wrapper -->
  <?php echo $__env->make('admin.Backend.Layout.footer', \Illuminate\Support\Arr::except(get_defined_vars(), ['__data', '__path']))->render(); ?>

  <!-- Control Sidebar -->
  <aside class="control-sidebar control-sidebar-dark">
    <!-- Control sidebar content goes here -->
  </aside>
  <!-- /.control-sidebar -->
</div>
<!-- ./wrapper -->

<!-- jQuery -->
<?php echo $__env->make('admin.Backend.Layout.common-end', \Illuminate\Support\Arr::except(get_defined_vars(), ['__data', '__path']))->render(); ?>
<!-- Page specific script -->

</body>
</html>
<?php /**PATH /home/ininsstavyaparco/public_html/instavyapar.net/Hankay-Hydraulics/resources/views/admin/manage-product-location.blade.php ENDPATH**/ ?>