<!doctype html>
<?php $__currentLoopData = $website; $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $web): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
<html class="no-js" lang="English">

<head>
    <title><?php echo e($productData->pg_meta_title); ?></title>
    <meta name="description" content="<?php echo e($productData->pg_meta_desc); ?>">
    <meta name="keyword" content="<?php echo e($productData->pg_meta_keyword); ?>">
    <meta name="viewport" content="width=device-width, initial-scale=1">

    <!-- CSS here -->
    <link rel="stylesheet" href="<?php echo e(asset('assets/css/frontent/bootstrap.min.css')); ?>">
    <link rel="stylesheet" href="<?php echo e(asset('assets/css/frontent/owl.carousel.min.css')); ?>">
    <link rel="stylesheet" href="<?php echo e(asset('assets/css/frontent/animate.min.css')); ?>">
    <link rel="stylesheet" href="<?php echo e(asset('assets/css/frontent/magnific-popup.css')); ?>">
    <link rel="stylesheet" href="<?php echo e(asset('assets/css/frontent/fontawesome-all.min.css')); ?>">
    <link rel="stylesheet" href="<?php echo e(asset('assets/css/frontent/themify-icons.css')); ?>">
    <link rel="stylesheet" href="<?php echo e(asset('assets/css/frontent/meanmenu.css')); ?>">
    <link rel="stylesheet" href="<?php echo e(asset('assets/css/frontent/slick.css')); ?>">
    <link rel="stylesheet" href="<?php echo e(asset('assets/css/frontent/main.css')); ?>">
    <link rel="stylesheet" href="<?php echo e(asset('assets/css/frontent/responsive.css')); ?>">
    <link href="<?php echo e(url('images/' . $web['website_icon'])); ?>" rel="icon">
    <link rel="stylesheet" href="https://cdnjs.cloudflare.com/ajax/libs/font-awesome/4.7.0/css/font-awesome.css" />
    <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>
</head>

<body>

    <!-- header-start -->
    <?php echo $__env->make('include.header-inner', \Illuminate\Support\Arr::except(get_defined_vars(), ['__data', '__path']))->render(); ?>
    <!-- header-start -->

    <main>
        
         <!-- breadcrumb-area-start -->
         <div class="breadcrumb-area pt-85 pb-85" style="background-image: url('<?php echo e(asset('assets/image/img/bg/bg-9.jpg')); ?>')">
            <div class="container">
                <div class="row">
                    <div class="col-xl-12">
                        <div class="breadcrumb-text text-center">
                            <h1><?php echo e($productData->product_title); ?></h1>
                            <ul class="breadcrumb-menu">
                                <li><a href="<?php echo e(url('/')); ?>">home</a></li>
                                <li><span><?php echo e($productData->product_title); ?></span></li>
                            </ul>
                        </div>
                    </div>
                </div>
            </div>
        </div>
        <!-- breadcrumb-area-end -->


        <!-- about-us-area-start -->
        <div class="about-us-area pb-30 pt-80">
            <div class="container">
                <div class="row">
                    <div class="col-xl-6 col-lg-6 mb-30">
                        <div class="about-us-img pos-rel wow fadeInUp" data-wow-duration="1500ms" data-wow-delay="0">
                            <img src="<?php echo e(url('images/' . $productData['image'])); ?>" alt="">
                        </div>
                    </div>
                    <div class="col-xl-6 col-lg-6 mb-30">
                        <div class="about-us-wrapper wow fadeInDown" data-wow-duration="1500ms" data-wow-delay="0">
                            <div class="section-title coral-section">
                                <p class="h-tx"><?php echo e($productData->sort_description); ?></p>
                                <p><?php echo htmlspecialchars_decode($productData->description); ?></p>
                            </div>
                        </div>
                    </div>
                </div>
            </div>
        </div>
      
        <!-- products start  -->
        <div class="features-area pt-120 pb-90" style="background-image:url(assets/image/img/features/fea-bg.jpg)">
            <div class="container">
                <div class="col-12">
                    <div class="section-title mb-30 text-center">
                        <span>Products</span>
                        <p class="h-tx">What We Offer</p>
                        <div class="mb-10"></div>
                    </div>
                </div>
                <div class="row">
                    <?php $__currentLoopData = $products; $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $data): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
                    <div class="col-xl-3 col-lg-3 col-md-6">
                        <div class="b-features text-center mb-30 wow fadeInUp" data-wow-duration="1500ms"
                            data-wow-delay="0ms">
                            <div class="b-fea-img">
                                <?php if(isset($data['image'])): ?>
                                <img src="<?php echo e(url('images/' . $data['image'])); ?>" alt="">
                                <?php endif; ?>
                                <div class="b-work-link">
                                   <a href="<?php echo e(url('/', ['product_url' => $data->product_url])); ?>"><i class="far fa-long-arrow-right"></i></a>
                                </div>
                            </div>
                            <div class="b-fea-content">
                                <a class="pd-name" href="<?php echo e(url('/', ['product_url' => $data->product_url])); ?>"><?php echo e($data->product_title); ?></a>
                            </div>
                        </div>
                    </div>
                    <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>   

                </div>
            </div>
        </div>
        <!-- products end  -->


    </main>
    <?php echo $__env->make('contact-home', \Illuminate\Support\Arr::except(get_defined_vars(), ['__data', '__path']))->render(); ?>
    
    <!-- footer-area-start -->
    <?php echo $__env->make('include.footer-inner', \Illuminate\Support\Arr::except(get_defined_vars(), ['__data', '__path']))->render(); ?>
    <!-- footer-area-end -->

    <!-- JS here -->
    <?php echo $__env->make('include.comman-end', \Illuminate\Support\Arr::except(get_defined_vars(), ['__data', '__path']))->render(); ?>

</body>

</html><?php /**PATH /home/instavyapar/public_html/laraveltest.instavyapar.in/resources/views/details.blade.php ENDPATH**/ ?>